;=========================================================================
(defun c:rewizjadzisiajold ( / ECHO_MEMBER)
		(setq ECHO_MEMBER (getvar "CMDECHO"))
		(setvar "CMDECHO" 0)
		(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)

		;=============================================================
		(if (null (tblsearch "Layer" (strcat "IS_rewizja_" (mh:getdate))))
		 (progn
			(command "_-layer"
				"_N" "TEMP-LAYER"
				"_C" "1" "TEMP-LAYER"
				"_L" "Continuous" "TEMP-LAYER"
				"_P" "_N" "TEMP-LAYER"
				"_LW" "0.35" "TEMP-LAYER" "")
			(command "_rename" "_LA" "TEMP-LAYER" (strcat "IS_rewizja_" (mh:getdate)))
			(princ (strcat "\nDzisiejsza data: " (mh:getdate) "\nUtworzono i przeczono na warstw: \"IS_rewizja_" (mh:getdate) "\". "))
		 );progn
		 
		 (princ (strcat "\nPrzeczono na istniejc warstw: \"IS_rewizja_" (mh:getdate) "\". "))
		);if
		(setvar "clayer" (strcat "IS_rewizja_" (mh:getdate)))
		;=============================================================


		(setvar "CMDECHO" ECHO_MEMBER)
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rewizjadzisiaj ( / MHSelMember ECHO_MEMBER)
(if (mh:qawa)
(progn

(setq MHSelMember (mh:SYS_GetSelection))
	(setq ECHO_MEMBER (getvar "CMDECHO"))
	(setvar "CMDECHO" 0)
	(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
	(setvar "CELTYPE" "BYLAYER")
	(setvar "CELWEIGHT" -1)

		;=============================================================
		(if (null (tblsearch "Layer" (strcat "IS_rewizja_" (mh:getdate))))
			(mh:ACX_MAKE_Layer (strcat "IS_rewizja_" (mh:getdate)) 1 "Continuous" 35 "False" nil)
		);if
		;=============================================================
		(if MHSelMember
			(foreach % (mh:CON_entity2vlaobject MHSelMember)
				(vla-put-Layer % (strcat "IS_rewizja_" (mh:getdate)))
			)
			(setvar "CLAYER" (strcat "IS_rewizja_" (mh:getdate)))
		)
		;=============================================================


	(setvar "CMDECHO" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rewscalaj ( / % MyLayer nazwanadzis EElist %1 ssWARSTWA)
(if (mh:qawa)
(progn

(c:rewizjadzisiaj)
(mh:ustzap)

; odblokowa i odmrozi warstwy
	(foreach % (mh:GetLayers "IS_rewizja_*")
		(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
		(if (or
				(= :vlax-false (vla-get-layeron MyLayer))
				(= 0 (vla-get-layeron MyLayer))
			)
			(vla-put-layeron MyLayer :vlax-true)
		)
		(if (or
				(= :vlax-true (vla-get-lock MyLayer))
				(= -1 (vla-get-lock MyLayer))
			)
			(vla-put-lock MyLayer :vlax-false)
		)
		(if (or
				(= :vlax-true (vla-get-freeze MyLayer))
				(= -1 (vla-get-freeze MyLayer))
			)
			(vla-put-freeze MyLayer :vlax-false)
		)
	)
;=========================================================================
(setq nazwanadzis (strcat "IS_rewizja_" (mh:getdate)))	
;=========================================================================
; zmieni warstw obiektw na aktualn rewizj
(foreach % (mh:GetLayers "IS_rewizja_*")
	(if (setq ssWARSTWA (ssget "_x" (list (cons 8 %))))
		(progn
			(setq EElist (mh:CON_ss2vlaobject ssWARSTWA))
			(foreach %1 EElist
				(vla-put-layer %1 nazwanadzis)
			)
		);progn
	);if
)
;=========================================================================
; skasowa niepotrzebne warstwy -----------------sprawdzi najpierw czy si da skasowa.
(foreach % (mh:GetLayers "IS_rewizja_*")
	(if (/= % nazwanadzis)
		(vl-catch-all-apply 'vla-delete (list (vla-item (mh:ACX_LayersCollection) %)))
	);if
)

(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:profilekuwagi ( / NazwaBloku starawarstwa PunktWstawienia)
(if (mh:qawa)
(progn

(mh:ustzap)
(setq starawarstwa (getvar "CLAYER"))

(if	(null *DCL_jednostki_PZT*)
	(setq *DCL_jednostki_PZT* (list "PZTcm"))
)

(if (= nil (vl-position (getvar "CLAYER") (mh:GetLayers "IS_wytyczne_od_*")))
	(c:rewizjadzisiaj)
)

;=========================================================================
(if (not (tblsearch "block" "IS_MLEADER_UWAGI_01"))
	(progn
		(if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\RYSUNKI_TYPOWE\\IS_MLEADER_UWAGI_01.dwg")))
			(if (setq PunktWstawienia (list 0 0))
					(progn
						;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
						;1
						;1
						;1
						;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
						;)
						(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
					);progn
				(princ "\nNiepoprawny punkt. ")
			);if
			(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
		);if
		
		(command "_erase" "_l" "")
	);progn
);if


(if (= (car *DCL_jednostki_PZT*) "PZTcm")
	(setvar "CMLEADERSTYLE" "IS_UWAGI_90")
)
(if (= (car *DCL_jednostki_PZT*) "PZTm")
	(setvar "CMLEADERSTYLE" "IS_UWAGI_0.9")
)
(command "_mleader")

;=========================================================================

(setvar "CLAYER" starawarstwa)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rewON-old ( / % MyLayer)
(mh:ustzap)

	(foreach % (mh:GetLayers "IS_rewizja_*")
		(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
			(vla-put-layeron MyLayer :vlax-true)
	)

(mh:ustprzywr)
);defun
;=========================================================================

;=========================================================================
(defun c:rewOFF-old ( / % MyLayer)
(mh:ustzap)

	(foreach % (mh:GetLayers "IS_rewizja_*")
		(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
			(vla-put-layeron MyLayer :vlax-false)
	)

(mh:ustprzywr)
);defun
;=========================================================================

;=========================================================================
(defun c:rewONOFF ( / % MyLayer)
(if (mh:qawa)
(progn

(mh:ustzap)
(if (mh:GetLayers "IS_rewizja_*") ; jeeli s warstwy
	(if	(or
			(= (vla-get-layeron (vla-item (mh:ACX_LayersCollection) (car (mh:GetLayers "IS_rewizja_*")))) :vlax-true)
			(= (vla-get-layeron (vla-item (mh:ACX_LayersCollection) (car (mh:GetLayers "IS_rewizja_*")))) -1)
		)
		(progn
			(foreach % (mh:GetLayers "IS_rewizja_*") ;wyaczenie wszystkich warstw
				(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-layeron MyLayer :vlax-false)
			)
			(princ "\n--- Wyczono warstwy rewizji. ---")
		)
		(progn
			(foreach % (mh:GetLayers "IS_rewizja_*") ;waczenie wszystkich warstw
				(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-layeron MyLayer :vlax-true)
			)
			(princ "\n--- Wczono warstwy rewizji. ---")
		)
	)
)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:mhkolor ( / mh_CadObj mh_acd_doc mh_LayerTable AX_Layer listawarstw warstwa kolor1 kolor2 tryb)
(if (mh:qawa)
(progn

(mh:ustzap)


;=============================================================
(vl-load-com)
(setq	mh_CadObj		(vlax-get-acad-object)
		mh_acd_doc		(vla-get-activedocument mh_CadObj)
		mh_LayerTable	(vla-get-layers mh_acd_doc)
);setq
;=============================================================


	(setq listawarstw
		(list 
			'("IS_opisy" 41 7)
			'("IS_podklady" 251 253)
			'("IS_sciany" 251 253)
			'("IS_tabela" 11 7)
			'("IS_tabelka" 91 7)
			'("IS_teren" 61 7)
			'("IS_bateria_woda" 121 7)
			'("IS_biala_armatura" 91 7)
			'("IS_ELS_opisy" 41 7)
			'("IS_gaz_opisy" 41 7)
			'("IS_PPOZ_opisy" 21 7)
			'("IS_KOTY" 41 7)
			'("IS_kreskowania" 11 7)
			'("IS_opis_KS" 51 7)
			'("IS_PPOZ_opisy" 21 7)
			'("IS_schemat_opisy" 121 7)
			'("IS_schemat_rurociagi" 171 7)
			'("IS_schemat_rurociagi_powrot" 171 7)
			'("IS_rury_czarne_os" 51 7)
			'("IS_ROS" 171 7)
			'("IS_teren_kreski_trawa" 61 7)
			'("IS_teren_kreski_kostka" 241 7)
			'("IS_PZT_ROS" 11 7)
			'("IS_rzutnia" 171 7)
		);list
	);setq

	(setq tryb (mh:GetChoisText "\nWybierz tryb zmiany koloru:" '("Praca" "Druk") "Praca"))
	
(foreach % listawarstw

	(setq	warstwa (nth 0 %)
			kolor1 (nth 1 %)
			kolor2 (nth 2 %)
	);setq

	
	(if (tblsearch "Layer" warstwa)
		(if (= tryb "Druk") 
			(progn
				(setq AX_Layer (vla-item mh_LayerTable warstwa))
				(vla-put-Color AX_Layer kolor2)
				(princ ".")
			)
			(progn
				(setq AX_Layer (vla-item mh_LayerTable warstwa))
				(vla-put-Color AX_Layer kolor1)
				(princ ".")
			)
		);if
	);if
	
);foreach
(princ "\n")
(vla-Regen (mh:ACX_ActivDocument) acAllViewports) ;regen spowalnia cae polecenie
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun mhkolor
;=========================================================================

;=========================================================================
(defun c:popraw_instalsoft_old ( / listawarstw warstwa kolor styllinii grubosclinii)
(if (mh:qawa)
(progn

(mh:ustzap)

(setq listawarstw
		(list 
			'("IS_Armatura_podczeniowa_grz._dolnozas." 7 "Continuous" "0.18")
			'("IS_Armatura_Therm" 7 "Continuous" "0.18")
			'("IS_Grafika" 7 "Continuous" "0.18")
			'("IS_Grzejniki_Plan_rzut" 1 "Continuous" "0.18")
			'("IS_Inne_Urzadzenia_Therm" 7 "Continuous" "0.18")
			'("IS_Konstrukcja" 251 "Continuous" "0.18")
			'("IS_Okna_Drzwi" 251 "Continuous" "0.18")
			'("IS_Opisy_dziaek_Therm" 7 "Continuous" "0.18")
			'("IS_Podkad" 251 "Continuous" "0.18")
			'("IS_Powrt" 5 "IS_przerwa_v008" "0.35")
			'("IS_Text_Armatury_podczeniowej_grz._dolnozas." 7 "Continuous" "0.18")
			'("IS_Text_Armatury_Therm" 241 "Continuous" "0.18")
			'("IS_Text_Konstrukcji" 30 "Continuous" "0.18")
			'("IS_Text_Odbiornikow_Therm" 11 "Continuous" "0.18")
			'("IS_Zasilanie" 1 "Continuous" "0.35")
			'("IS_Armatura_Wodociag" 7 "Continuous" "0.18")
			'("IS_Ciepa_woda" 1 "IS_przerwa_v007" "0.35")
			'("IS_Cyrkulacja" 6 "IS_cyrkulacja_V100" "0.35")
			'("IS_Inne_Urzadzenia_Wodociag" 7 "Continuous" "0.18")
			'("IS_Odbiorniki" 91 "Continuous" "0.18")
			'("IS_Opisy_dziaek_Wodociag" 7 "Continuous" "0.18")
			'("IS_Text_Armatury_Wodociag" 7 "Continuous" "0.18")
			'("IS_Text_Innych_Urzadzen_Wodociag" 7 "Continuous" "0.18")
			'("IS_Zimna_woda" 5 "Continuous" "0.35")
			'("IS_Ogrzewanie_paszczyznowe" 1 "Continuous" "0.09")
			'("IS_Ogrzewanie_paszczyznowe_-_opis" 11 "Continuous" "0.09")
			'("IS_Odbiornik_o_narzuconym_oporze_Plan_rzut" 1 "Continuous" "0.18")
			'("IS_Przycza_o.p._Powrt" 5 "IS_przerwa_v007" "0.09")
			'("IS_Przycza_o.p._Zasilanie" 1 "Continuous" "0.09")		
			'("IS_Rys.ptli_o.p._Powrt" 5 "IS_przerwa_v007" "0.09")
			'("IS_Rys.ptli_o.p._Zasilanie" 1 "Continuous" "0.09")
			'("IS_Tabelka_rozdzielacza" 81 "Continuous" "0.09")
			'("IS_Odbiornik_o_narzuconym_oporze_Rozwinicie" 7 "Continuous" "0.18")
			
			'("IS_Inne_Urzadzenia_kanalizacja" 34 "Continuous" "0.18")
		);list
);setq

;=============================================================
(if (tblsearch "Style" "IS_SIMPLEX")
  (command "_textstyle" "IS_SIMPLEX")
 (progn
	(command "_-style"
		"TEMP-STYLE" "simplex.shx" "" "0.7" "" "" "" "")
	(command "_rename" "_S" "TEMP-STYLE" "IS_SIMPLEX")
 );progn
);if	
;=============================================================
(if (null (tblsearch "Ltype" "IS_przerwa_v007"))
		(command "_-linetype" "_l" "IS_przerwa_v007" "profilek"  "")
);if
;=============================================================
(if (null (tblsearch "Ltype" "IS_przerwa_v008"))
		(command "_-linetype" "_l" "IS_przerwa_v008" "profilek"  "")
);if
;=============================================================
(if (null (tblsearch "Ltype" "IS_cyrkulacja_V100"))
		(command "_-linetype" "_l" "IS_cyrkulacja_V100" "profilek"  "")
);if
;=============================================================
	
(foreach % listawarstw

	(setq	warstwa (nth 0 %)
			kolor (nth 1 %)
			styllinii (nth 2 %)
			grubosclinii (nth 3 %)
	);setq

	(if (tblsearch "Layer" warstwa)
		(progn
			(command "_-layer"	"_C" kolor warstwa 
								"_L" styllinii warstwa
								"_LW" grubosclinii warstwa
								"")
			(princ ".")
		);progn
	);if
	
);foreach
	
(mh:ustprzywr)  

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)	
);defun
;=========================================================================

;=========================================================================
(defun c:popraw_instalsoft ( / listawarstw % AX_Layer MHLON MHLLOCK MHLLFREZE) 
(if (mh:qawa)
(progn

(mh:ustzap)

(c:usstawar)

	;=========================================================================
		(if (= "Tak" (mh:GetChoisText "\nZmieni wszystkie elementy na \"jak warstwa\"? " '("Tak" "Nie") "Tak"))
			(progn
				(setvar "SETBYLAYERMODE" 125)
				(command "_setbylayer" "_all" "" "_y" "_y")
			)
		)
	;=========================================================================
		(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil nil)
		(mh:ACX_MAKE_TextStyle_TTF "IS_Arial" "Arial" nil 0.8 nil nil)
	;=========================================================================

(setq listawarstw
		(list 
			'("IS_Armatura_podczeniowa_grz._dolnozas." 7 "Continuous" 18 1)
			'("IS_Armatura_Therm" 7 "Continuous" 18 1)
			'("IS_Grafika" 171 "Continuous" 18 1)
			'("IS_Grzejniki_Plan_rzut" 1 "Continuous" 18 1)
			'("IS_Inne_Urzadzenia_Therm" 7 "Continuous" 18 1)
			'("IS_Konstrukcja" 251 "Continuous" 18 1)
			'("IS_Okna_Drzwi" 251 "Continuous" 18 1)
			'("IS_Opisy_dziaek_Therm" 7 "Continuous" 20 1)
			'("IS_Podkad" 251 "Continuous" 18 1)
			'("IS_Powrt" 5 "IS_przerwa_v008" 40 1)
			'("IS_Text_Armatury_podczeniowej_grz._dolnozas." 7 "Continuous" 18 1)
			'("IS_Text_Armatury_Therm" 241 "Continuous" 18 1)
			'("IS_Text_Konstrukcji" 30 "Continuous" 18 1)
			'("IS_Text_Odbiornikow_Therm" 11 "Continuous" 18 1)
			'("IS_Zasilanie" 1 "Continuous" 40 1)
			'("IS_Armatura_Wodociag" 7 "Continuous" 18 1)
			'("IS_Ciepa_woda" 1 "IS_przerwa_v007" 35 1)
			'("IS_Cyrkulacja" 6 "IS_cyrkulacja_V100" 35 1)
			'("IS_Inne_Urzadzenia_Wodociag" 7 "Continuous" 18 1)
			'("IS_Odbiorniki" 91 "Continuous" 18 1)
			'("IS_Opisy_dziaek_Wodociag" 7 "Continuous" 18 1)
			'("IS_Text_Armatury_Wodociag" 7 "Continuous" 18 1)
			'("IS_Text_Odbiornikow_Wodociag" 7 "Continuous" 18 1)
			'("IS_Text_Innych_Urzadzen_Wodociag" 7 "Continuous" 18 1)
			'("IS_Zimna_woda" 5 "Continuous" 35 1)
			'("IS_Ogrzewanie_paszczyznowe" 86 "Continuous" 09 1)
			'("IS_Ogrzewanie_paszczyznowe_-_opis" 11 "Continuous" 09 1)
			'("IS_Odbiornik_o_narzuconym_oporze_Plan_rzut" 1 "Continuous" 18 1)
			'("IS_Przycza_o.p._Powrt" 5 "IS_przerwa_v007" 09 1)
			'("IS_Przycza_o.p._Zasilanie" 1 "Continuous" 09 1)		
			'("IS_Rys.ptli_o.p._Powrt" 5 "IS_przerwa_v007" 09 1)
			'("IS_Rys.ptli_o.p._Zasilanie" 1 "Continuous" 09 1)
			'("IS_Tabelka_rozdzielacza" 81 "Continuous" 09 1)
			'("IS_Odbiornik_o_narzuconym_oporze_Rozwinicie" 7 "Continuous" 18 1)
			
			'("IS_Inne_Urzadzenia_kanalizacja" 34 "Continuous" 18 1)
			'("IS_Bez_przepywu_medium" 6 "Continuous" 35 1)
			'("IS_Tabelka_projektu" 7 "Continuous" 30 1)
			'("IS_Rozdzielacze_Powrt" 5 "Continuous" 25 1)
			'("IS_Rozdzielacze_Zasilanie" 1 "Continuous" 25 1)	
			
			'("IS_kanalizacja_deszczowa" 3 "IS_przerwa_v030" 35 1)
			'("IS_kanalizacja_sanitarna" 34 "IS_przerwa_v030" 35 1)
			'("IS_Wze_sieci_kanalizacyjnej" 91 "Continuous" 18 1)
			'("IS_Wze_sieci_kanalizacyjnej_-_opisy" 11 "Continuous" 18 1)
			
			'("IS_Kolizje" 211 "Continuous" 18 1)
			'("IS_Kolizje_-_opisy" 211 "Continuous" 18 1)
			'("IS_Sieci_na_profilu" 24 "Continuous" 35 1)
			'("IS_Tabelka_profilu" 11 "Continuous" 18 1)
			'("IS_Tabelka_profilu_-_opisy" 41 "Continuous" 18 1)
			'("IS_Teren_ist" 161 "IS_przerwa_v007" 18 1)
			'("IS_Teren_proj" 161 "Continuous" 18 1)
			'("IS_Wzy_sieci_wodocigowej" 141 "Continuous" 18 1)
			'("IS_Wzy_sieci_wodocigowej_-_opisy" 141 "Continuous" 18 1)
			'("IS_wodocig" 5 "IS_przerwa_v030" 35 1)
			

		);list
);setq


	;=========================================================================
	(foreach % listawarstw
		(if (tblsearch "Layer" (nth 0 %))
			(progn
				;-----
				(if (null (tblsearch "Ltype" (nth 2 %)))
					(mh:ACX_LoadLineType "profilek.lin" (nth 2 %) nil)
				)
				;-----
				
				
								(setq AX_Layer (vla-item (mh:ACX_LayersCollection) (nth 0 %)))
								
								(if (= :vlax-false (vla-get-layeron AX_Layer))
									(progn
										(setq MHLON "tak")
										(vla-put-layeron AX_Layer :vlax-true)
									);progn
									(setq MHLON "nie")
								);if
								
								(if (= :vlax-true (vla-get-lock AX_Layer))
									(progn
										(setq MHLLOCK "tak")
										(vla-put-lock AX_Layer :vlax-false)
									);progn
									(setq MHLLOCK "nie")
								);if
							
								(if (= :vlax-true (vla-get-freeze AX_Layer))
									(progn
										(setq MHLLFREZE "tak")
										(vla-put-freeze AX_Layer :vlax-false)
									);progn
									(setq MHLLFREZE "nie")
								);if
								
								
													(vla-put-Color AX_Layer (nth 1 %))
													(vla-put-LineType AX_Layer (nth 2 %))
													(vla-put-LineWeight AX_Layer (nth 3 %))
													(if (= 1 (nth 4 %))
														(vla-put-Plottable AX_Layer :vlax-true)
														(vla-put-Plottable AX_Layer :vlax-false)
													)
				
							(if (= MHLON "tak")
								(vla-put-layeron AX_Layer :vlax-false)
							)
							
							(if (= MHLLOCK "tak")
								(vla-put-lock AX_Layer :vlax-true)
							)
							
							(if (= MHLLFREZE "tak")
								(vla-put-freeze AX_Layer :vlax-true)
							)
				
					
			);progn
		)
	)
	;=========================================================================

	
	
	;=========================================================================
		(if (= "Tak" (mh:GetChoisText "\nZmieni kolor HATCHw na 255? " '("Tak" "Nie") "Tak"))
			(if (ssget "_x" (list (cons 0 "HATCH")))
				(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "HATCH"))))
						(vl-catch-all-apply 'vla-put-color (list % 255))
				)
			)
		)
	;=========================================================================
	
	
	
(mh:ustprzywr) 

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ) 	
);defun
;=========================================================================

;=========================================================================
(defun c:poprawwentyle ( / war01 war02 war03 war04 MyChLayer) ; poprawia warsty wentyli - dodac kilka warstw
(if (mh:qawa)
(progn

(setq	war01	(mh:GetLayers "WEN_*-_ZLICZAC")
		war02	(mh:GetLayers "WEN_*-_ATRYBUT")
		war03	(mh:GetLayers "WEN_*-_OSIE")
		war04	(mh:GetLayers "WENTYLE_NIEZLICZAC")
)

(mh:ACX_LoadLineType "profilek.lin" "IS_osie_v004" nil)

;=========================================================================
	(foreach % war01
		(setq MyChLayer (vla-item (mh:ACX_LayersCollection) %))
		(vla-put-LineWeight MyChLayer 35)
		(vla-put-LineType MyChLayer "Continuous") ;tu gstarcad 2011 nie przyjmuje argumentu (zy typ argumentu), wersja 2012 dziaa OK, ZW AC tez OK
		(princ ".")
	);foreach
;=========================================================================

;=========================================================================
	(foreach % war02
		(setq MyChLayer (vla-item (mh:ACX_LayersCollection) %))
		(vla-put-Color MyChLayer 6)
		(vla-put-LineType MyChLayer "Continuous") ;tu gstarcad 2011 nie przyjmuje argumentu (zy typ argumentu), wersja 2012 dziaa OK, ZW AC tez OK
		(vla-put-LineWeight MyChLayer 18)
		(princ ".")
	);foreach
;=========================================================================

;=========================================================================
	(foreach % war03
		(setq MyChLayer (vla-item (mh:ACX_LayersCollection) %))
		(vla-put-Color MyChLayer 41)
		(vla-put-LineType MyChLayer "IS_osie_v004") ;tu gstarcad 2011 nie przyjmuje argumentu (zy typ argumentu), wersja 2012 dziaa OK, ZW AC tez OK
		(vla-put-LineWeight MyChLayer 18)
		(princ ".")
	);foreach
;=========================================================================

;=========================================================================
	(foreach % war04
		(setq MyChLayer (vla-item (mh:ACX_LayersCollection) %))
		(vla-put-Color MyChLayer 6)
		(vla-put-LineType MyChLayer "Continuous") ;tu gstarcad 2011 nie przyjmuje argumentu (zy typ argumentu), wersja 2012 dziaa OK, ZW AC tez OK
		(vla-put-LineWeight MyChLayer 35)
		(princ ".")
	);foreach
;=========================================================================

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:szaryxref ( / % kolor grubo )
	(if (mh:qawa)
		(progn

			(mh:ustzap)
			
				(setq	kolor	(mh:UiGetInt "\nPodaj kolor warstw odnonikw: " 251)
						grubo	(mh:GetChoisText "\nPodaj grubo linii odnonika: " '("000" "005" "009" "013" "015" "018" "020" "025" "030" "035" "040" "BezZmian") "BezZmian")
				)
				
				(foreach % (mh:GetLayers "*|*")
					(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) kolor))
					(if (/= grubo "BezZmian")
						;(vl-catch-all-apply 'vla-put-Lineweight (list (vla-item (mh:ACX_LayersCollection) %) grubo))
						(vl-catch-all-apply 'vla-put-Lineweight (list (vla-item (mh:ACX_LayersCollection) %) (atoi grubo)))
					);if
				)
					
				(vla-Regen (mh:ACX_ActivDocument) acAllViewports)
				
			(mh:ustprzywr)
			
		);progn (mh:qawa)
		(alert "Wersja testowa niezarejestrowana.")
	);if
	(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:uswarniewid ( / % MyLayer EElist %1 ssWARSTWA te1 te2 te3) ; ;ZWCAD/ZWCAD+
(if (mh:qawa)
(progn

(mh:ustzap)

(foreach % (mh:GetLayers "*")
	(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
		(if (or (= :vlax-false (vla-get-layeron MyLayer)) (= :vlax-true (vla-get-freeze MyLayer)))
			(progn
				(if (= :vlax-false (vla-get-layeron MyLayer))
					(progn
						(vla-put-layeron MyLayer :vlax-true)
						(setq te1 1)
					)
				)
				(if (= :vlax-true (vla-get-lock MyLayer))
					(progn
						(vla-put-lock MyLayer :vlax-false)
						(setq te2 1)
					)
				)
				(if (= :vlax-true (vla-get-freeze MyLayer))
					(progn
						(vla-put-freeze MyLayer :vlax-false)
						(setq te3 1)
					)
				)
				
				
				; skasowac obiekty z warstwy -- oprcz blokw
					(if (setq ssWARSTWA (ssget "_x" (list (cons 8 %) (cons -4 "<NOT")(cons 0 "INSERT")(cons -4 "NOT>"))))
						(progn
							(setq EElist (mh:CON_ss2vlaobject ssWARSTWA))
							(foreach %1 EElist
								(vl-catch-all-apply 'vla-delete (list %1))
							)
						);progn
					);if
				
				
				
				;skasowac warstw o ile si da
				(vl-catch-all-apply 'vla-delete (list (vla-item (mh:ACX_LayersCollection) %)))
			
				; jeeli warstwa jest to wyczy lub zamrozi (tak jak byo na pocztku)
				(if (= te1 1) (vl-catch-all-apply 'vla-put-layeron (list MyLayer :vlax-false)))
				(if (= te2 1) (vl-catch-all-apply 'vla-put-lock (list MyLayer :vlax-true)))
				(if (= te3 1) (vl-catch-all-apply 'vla-put-freeze (list MyLayer :vlax-true)))
				(setq te1 0 te2 0 te3 0)
			
			)
		)
)


(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:usstawar ( / ) 

	(if (mh:qawa)
		(progn
			(mh:ustzap)
				(if (= "Tak" (mh:GetChoisText "\nWykona polecenie Purge All ? " '("Tak" "Nie") "Tak"))
					;(command "_-purge" "_a" "" "_n")
					(vla-PurgeAll (mh:ACX_ActivDocument))
				)
				(if (= "Tak" (mh:GetChoisText "\nWykona polecenie Audit i naprawi bdy? " '("Tak" "Nie") "Tak"))
					(command "_audit" "_y")
					;(vla-auditinfo (mh:ACX_ActivDocument) 1)
					;(vla-auditinfo (mh:ACX_ActivDocument) :vlax-true)
				)
				(if (= "Tak" (mh:GetChoisText "\nUsun zapisane stany warstw? " '("Tak" "Nie") "Tak"))
					(mh:DelLayStates)
				)
				(if (= "Tak" (mh:GetChoisText "\nUsun zapisane filtry warstw? " '("Tak" "Nie") "Tak"))
					(mh:DelLayFilters)
				)
				(if (= "Tak" (mh:GetChoisText "\nZresetowa zapisane w pliku listy skal? " '("Tak" "Nie") "Tak"))
					(progn
						(command "_-SCALELISTEDIT" "_r" "_y" "_e")	
						(setvar "ANNOAUTOSCALE" 0)
						(setvar "ANNOALLVISIBLE" 0)
					)
				)
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert "Wersja testowa niezarejestrowana.")
	);if

(princ)
)
;=========================================================================

;=========================================================================
(defun c:czyscpodklad ( / P1 wymiary EElist % kolor grubo) ;==================================CZYCI PODKADY KTRE BD PODCZYTYWA ====tylko AUTOCAD POPRAWNIE I CAKOWICIE ===================
(if (mh:qawa)
(progn

;(mh:ustzap)
(setvar "CMDECHO" 0) ; to dostawione a skasowane na poczatku i na koncu po jednej linijce - nie wiem czemu ale tylko tak dziala na zwcad+



	
		(if	(setq P1 (getpoint "\nPodaj punkt wstawienia tego rysunku / punkt 0,0 przy wstawianiu insertem. [ENTER - bez zmian]")) 
			(command "_insbase" P1)
		)

	;(command "_-purge" "_a" "" "_n")
	(vla-PurgeAll (mh:ACX_ActivDocument))
	
	(command "_audit" "_y")
	;(vla-auditinfo (mh:ACX_ActivDocument) 1)
	;(vla-auditinfo (mh:ACX_ActivDocument) :vlax-true)
	
			(if (or
					(= (getvar "PRODUCT") "AutoCad")
					(= (getvar "PRODUCT") "GstarCAD")
				);or
				(progn
					(command "_-SCALELISTEDIT" "_r" "_y" "_e")
					(setvar "SETBYLAYERMODE" 125)
					(command "_setbylayer" "_all" "" "_y" "_y")
					
					(setvar "ANNOAUTOSCALE" 0)
					(setvar "ANNOALLVISIBLE" 0)
				)
				(progn
					(c:mhSetByLayer)
				)
			)
			
			
			
	(if (= "Tak" (mh:GetChoisText "\nSkasowa wymiary? " '("Tak" "Nie") "Tak"))
		(if (setq wymiary (ssget "_x" (list (cons 0 "DIMENSION"))))
			(progn
				(setq EElist (mh:CON_ss2vlaobject wymiary))
				(foreach % EElist
					(vl-catch-all-apply 'vla-delete (list %))
				)
			);progn
		);if
	);if
	
	(if (= "Tak" (mh:GetChoisText "\nUsun elementy niewidoczne na niewidocznych i zamroonych warstwach? " '("Tak" "Nie") "Nie"))
		(c:uswarniewid)
	)
	(if (= "Tak" (mh:GetChoisText "\nUsun zapisane stany warstw? " '("Tak" "Nie") "Tak"))
		(mh:DelLayStates)
	)
	(if (= "Tak" (mh:GetChoisText "\nUsun zapisane filtry warstw? " '("Tak" "Nie") "Tak"))
		(mh:DelLayFilters)
	)
	
	
	
	
;=========================================================================
	(if (= "Tak" (mh:GetChoisText "\nZmieni kolor i grubo wszystkich warstw? " '("Tak" "Nie") "Tak"))
		(progn
			(setq	kolor	(mh:UiGetInt "\nPodaj nowy kolor wzystkich warstw: " 251)
					grubo	(mh:GetChoisText "\nPodaj grubo linii wszystkich warstw: " '("000" "005" "009" "013" "015" "018" "020" "025" "030" "035" "040" "BezZmian") "BezZmian")
			)
			
			(foreach % (mh:GetLayers "*")
				(vl-catch-all-apply 'vla-put-Color (list (vla-item (mh:ACX_LayersCollection) %) kolor))
				(if (/= grubo "BezZmian")
					(vl-catch-all-apply 'vla-put-Lineweight (list (vla-item (mh:ACX_LayersCollection) %) grubo))
				);if
			)
		);progn
	);if
;=========================================================================	
	
	
	
;	(if (= "Tak" (mh:GetChoisText "\nUsun odnoniki RASTROWE i WEKTOROWE z pliku? " '("Tak" "Nie") "Tak"))
;		(progn
;			(if (ssget "_x" (list (cons 0 "IMAGE")))
;				(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "IMAGE"))))
;						(vl-catch-all-apply 'vla-delete (list % "IS_XREF_IMAGE"))
;				)
;			)
;
;			(if (mh:GetXrefsNames)
;				(if (ssget "_x" (list (cons 0 "INSERT") (cons 2 (nth 0 (mh:GetXrefsNames)))))
;					(foreach % (mh:GetXrefsNames)
;							(foreach %% (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "INSERT") (cons 2 %))))
;								(vl-catch-all-apply 'vla-delete (list %% "IS_XREF_DWG"))
;							)
;					)
;				)
;			)
;		);progn
;	);if
;	;(vl-catch-all-apply 'vla-delete (list (vla-item (mh:ACX_LayersCollection) %))) - przykad kasowania
	
;=========================================================================	
	(if (= "Tak" (mh:GetChoisText "\nWstawi znacznik punktu 0,0 ? " '("Tak" "Nie") "Nie"))			
		(c:znacznik01 nil)
	)
		
	(command "_qsave") 
	(if (= "Tak" (mh:GetChoisText "\nZamkn plik?" '("Tak" "Nie") "Tak")) (command "_close"))
;=========================================================================	
;(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:ZmWspSkali ( / % mnoznik)
(if (mh:qawa)
(progn

	(setq mnoznik (getreal "\nPodaj o ile pomnoy \"Skal Rodzaju Linii\" wszystkich obiektw w pliku: "))
	
	(foreach % (mh:CON_ss2vlaobject (ssget "_X"))
		(vla-put-LinetypeScale % (* mnoznik (vla-get-LinetypeScale %)))
	)
	
	
	(if (mh:GetBlocks nil) 
		(if (= "Tak" (mh:GetChoisText "\nObiekty wewntrz blokw rwnie? " '("Tak" "Nie") "Tak"))
			(progn
				(foreach blk (mh:GetBlocks nil)
					(foreach % (mh:CON_entity2vlaobject (mh:Get_Entity_In_BLKdef blk nil))
						(vla-put-LinetypeScale % (* mnoznik (vla-get-LinetypeScale %)))
					)
				)
			)
		)
	)	

(vla-Regen (mh:ACX_ActivDocument) acAllViewports)	

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:war_pb ( / ECHO_MEMBER )
(if (mh:qawa)
(progn

(setq ECHO_MEMBER (getvar "CMDECHO"))
(setvar "CMDECHO" 0)


;===========================================================================
(mh:ACX_MAKE_TextStyle_TTF "IS_Arial" "Arial" nil 0.8 nil T)
(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
;=============================================================

;=============================================================
(mh:warstwa "IS_PB_WZ" nil)
(mh:warstwa "IS_PB_WL" nil)
(mh:warstwa "IS_PB_WZ+WC" nil)
(mh:warstwa "IS_PB_WC+CYRK" nil)
(mh:warstwa "IS_PB_CO" nil)
(mh:warstwa "IS_PB_CT" nil)
(mh:warstwa "IS_PB_KS" nil)
(mh:warstwa "IS_PB_KD" nil)
(mh:warstwa "IS_PB_KT" nil)
(mh:warstwa "IS_PB_HP" nil)
(mh:warstwa "IS_PB_TR" nil)
(mh:warstwa "IS_PB_R410A" nil)
;=============================================================

;=============================================================
(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "CELTYPE" "BYLAYER")
(setvar "CELWEIGHT" -1)
;=============================================================
(mh:zmianawarstw
	'("IS_PB_WZ" "IS_PB_WL" "IS_PB_WZ+WC" "IS_PB_WC+CYRK" "IS_PB_CO" "IS_PB_CT" "IS_PB_KS" "IS_PB_KD" "IS_PB_KT" "IS_PB_HP" "IS_PB_TR" "IS_PB_R410A")
)
;=============================================================

(setvar "CMDECHO" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun war_pb
;=========================================================================

;=========================================================================
(defun c:war_gm ( / ECHO_MEMBER )
(if (mh:qawa)
(progn

(setq	ECHO_MEMBER (getvar "cmdecho"))
(setvar "cmdecho" 0)

;===========================================================================
(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
;===========================================================================
(mh:warstwa "IS_gazy_medyczne_N2O" nil)
(mh:warstwa "IS_gazy_medyczne_odcig_poanestetyczny" nil)
(mh:warstwa "IS_gazy_medyczne_sprezone_powietrze" nil)
(mh:warstwa "IS_gazy_medyczne_tlen" nil)
;===========================================================================


;=============================================================
(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "CELTYPE" "BYLAYER")
(setvar "CELWEIGHT" -1)
;=============================================================


;=============================================================
(mh:zmianawarstw
	'("IS_gazy_medyczne_N2O" "IS_gazy_medyczne_odcig_poanestetyczny" "IS_gazy_medyczne_sprezone_powietrze" "IS_gazy_medyczne_tlen")
)
;=============================================================

(setvar "CMDECHO" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun war_gm
;=========================================================================

;=========================================================================
(defun c:war_teren ( / ECHO_MEMBER )
(if (mh:qawa)
(progn

(setq	ECHO_MEMBER (getvar "cmdecho"))
(setvar "cmdecho" 0)

;===========================================================================
(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)

(mh:ACX_LoadLineType "profilek.lin" "IS_teren_trawa" nil)
(mh:ACX_LoadLineType "profilek.lin" "IS_teren_kostka" nil)

(mh:ENT_Make_Layer "IS_teren_kreski_trawa" 61 "IS_teren_trawa" 13 1 0 nil)
(mh:ENT_Make_Layer "IS_teren_kreski_kostka" 241 "IS_teren_kostka" 13 1 0 nil)
;===========================================================================

;=============================================================
(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "CELTYPE" "BYLAYER")
(setvar "CELWEIGHT" -1)
;=============================================================

(cond
((= "IS_teren_kreski_kostka" (getvar "clayer")) (setvar "clayer" "IS_teren_kreski_trawa"))
(T (setvar "clayer" "IS_teren_kreski_kostka"))
);cond


(setvar "cmdecho" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun war_teren
;=========================================================================

;=========================================================================
(defun c:war_wytyczne ( / ECHO_MEMBER )
(if (mh:qawa)
(progn

(setq ECHO_MEMBER (getvar "CMDECHO"))
(setvar "CMDECHO" 0)


;=============================================================
(mh:warstwa "IS_wytyczne_od_IS_dla_Arch" nil)
(mh:warstwa "IS_wytyczne_od_IS_dla_Ele" nil)
(mh:warstwa "IS_wytyczne_od_IS_dla_Kon" nil)
(mh:warstwa "IS_wytyczne_od_IS_dla_DR" nil)
(mh:warstwa "IS_wytyczne_od_IS_dla_IS" nil)
;=============================================================

;=============================================================
(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "CELTYPE" "BYLAYER")
(setvar "CELWEIGHT" -1)
;=============================================================
(mh:zmianawarstw
	'("IS_wytyczne_od_IS_dla_IS" "IS_wytyczne_od_IS_dla_Arch" "IS_wytyczne_od_IS_dla_Ele" "IS_wytyczne_od_IS_dla_Kon" "IS_wytyczne_od_IS_dla_DR")
)
;=============================================================

(setvar "CMDECHO" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun war_wytyczne
;=========================================================================

;=========================================================================
(defun c:wytONOFF ( / % MyLayer)
(if (mh:qawa)
(progn

(mh:ustzap)
(if (mh:GetLayers "IS_wytyczne_od_*") ; jeeli s warstwy
	(if	(or
			(= (vla-get-layeron (vla-item (mh:ACX_LayersCollection) (car (mh:GetLayers "IS_wytyczne_od_*")))) :vlax-true)
			(= (vla-get-layeron (vla-item (mh:ACX_LayersCollection) (car (mh:GetLayers "IS_wytyczne_od_*")))) -1)
		)
		(progn
			(foreach % (mh:GetLayers "IS_wytyczne_od_*") ;wyaczenie wszystkich warstw
				(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-layeron MyLayer :vlax-false)
			)
			(princ "\n--- Wyczono warstwy wytycznych. ---")
		)
		(progn
			(foreach % (mh:GetLayers "IS_wytyczne_od_*") ;waczenie wszystkich warstw
				(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
				(vla-put-layeron MyLayer :vlax-true)
			)
			(princ "\n--- Wczono warstwy wytycznych. ---")
		)
	)
)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:obrlin ( / listawarstw linie ilosclinii nnn xxx opislinii temp warstwalinii skalalinii AA BB AX AY BX BY )
(if (mh:qawa)
(progn

(mh:ustzap)

;=========================================================================
(setq listawarstw
		(list 
			"IS_PB_WL"
			"IS_PB_WZ+WC"
			"IS_PB_WC+CYRK"
			"IS_PB_CO"
			"IS_PB_CT"
			"IS_gazy_medyczne_N2O"
			"IS_gazy_medyczne_odcig_poanestetyczny"
			"IS_gazy_medyczne_sprezone_powietrze"
			"IS_gazy_medyczne_tlen"
			"IS_PB_KD"
			"IS_PB_KS"
			"IS_PB_KT"
			"IS_PB_HP"
			"IS_PB_TR"
			"IS_PB_WZ"
			"IS_PB_R410A"
		);list
);setq
;=========================================================================



;=========================================================================
(foreach % listawarstw
	(if (tblsearch "Layer" %)
		(progn
		(setq	linie (ssget "_x" (list (cons 0 "LINE")(cons 8 %)))
		);setq

				(if linie 
				(progn

						(setq	ilosclinii (sslength linie)
								nnn ilosclinii
						);setq	zaznacza linie z warstwy %

					
							(repeat ilosclinii
									(setq 	xxx (- ilosclinii nnn)
											opislinii (entget (ssname linie xxx))) ; zmienna opislinii jest list zmiennych opisujc parametry linii
											
									; pobrac styl linii i ustawic jako aktualny
									(setq 	temp (assoc 48 opislinii)
											skalalinii (cdr temp));setq
									(if skalalinii (setvar "CELTSCALE" skalalinii) (setvar "CELTSCALE" 1.0))
									
									;pobra warstw i ustawi jako aktualn
									(setq 	temp (assoc 8 opislinii)
											warstwalinii (cdr temp));setq
									(command "_clayer" warstwalinii)
									
									;pobra kolor i ustawic jako aktualny
									(setq 	temp (assoc 62 opislinii)
											kolorlinii (cdr temp));setq
									(if kolorlinii (command "_cecolor" kolorlinii) (command "_cecolor" "256"))

									; pobrac styl linii i ustawic jako aktualny
									(setq 	temp (assoc 6 opislinii)
											styllinii (cdr temp));setq
									(if styllinii (command "_celtype" styllinii) (command "_celtype" "BYLAYER"))

									; pobrac grubo i ustawi jako aktualn
									(setq 	temp (assoc 370 opislinii)
											grubosclinii (cdr temp));setq
									(if grubosclinii (command "_celweight" grubosclinii) (command "_celweight" (- 0 1)))


									;pobra wsprzedne pocztku i koca linii,
									(setq 	AA (trans (cdr (assoc 10 opislinii)) 0 1); AAA to wsprzdne pocztku linii
											BB (trans (cdr (assoc 11 opislinii)) 0 1); BBB to wsprzdne koca linii
											AX (car AA)
											AY (car (cdr AA))
											BX (car BB)
											BY (car (cdr BB))
									);setq

									
									(if (or	(and (>= AX BX) (>= AY BY))
												(and (> AX BX) (<= AY BY))
										)
											(progn
											(entdel (cdr (assoc -1 opislinii)))
											(command "_line" BB AA "")
											);progn
									);if

									(setq nnn (1- nnn));setq
							);repeat
				);progn
				(princ (strcat "\nNie ma linii do poprawienia na warstwie: \"" % "\" !!!"))
				);if
					
					
					
		);progn
	);if
);foreach
;=========================================================================

	
(mh:ustprzywr)  

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)	
);defun obrlin
;=========================================================================

;=========================================================================
(defun c:zaznaczwarstwe ( / warstwax )
(if (mh:qawa)
(progn

(princ "\nWska warstwe poprzez wskazanie obiektu: ")
(setq warstwax (cdr (assoc 8 (entget (ssname (ssget "_:S") 0)))))

(princ "\nZaznacz elementy do wyboru: ")

(mh:SYS_SetSelection
	(mh:CON_ss2entity
		(ssget
			(list
				(cons 8 warstwax)
			)
		)
	)
)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:zaznaczdim () ; zaznacza tylko wymiary lub kreskowania na rysunku
(if (mh:qawa)
(progn

(setq wybor (mh:GetChoisText "\nCo zaznacza?" '("Wymiary" "Kreskowania") "Wymiary"))

(if (= wybor "Wymiary")
	(mh:SYS_SetSelection
		(mh:CON_ss2entity
			(ssget
				(list
					(cons 0  "DIMENSION")
				)
			)
		)
	)
	
	(mh:SYS_SetSelection
		(mh:CON_ss2entity
			(ssget
				(list
					(cons 0  "HATCH")
				)
			)
		)
	)
)
	
);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun HATCH
;=========================================================================

;=========================================================================
(defun c:xrefynawarstwy ( / ) ; przeniesienie odnonikw na odpowiednie warstwy
(if (mh:qawa)
(progn

(mh:ustzap)

(mh:warstwa "IS_opisy" nil)
(mh:warstwa "IS_XREF_DWG" nil)
(mh:warstwa "IS_XREF_IMAGE" nil)


(if (ssget "_x" (list (cons 0 "IMAGE")))
	(foreach % (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "IMAGE"))))
			(vl-catch-all-apply 'vla-put-layer (list % "IS_XREF_IMAGE"))
	)
)

(if (mh:GetXrefsNames)
	(if (ssget "_x" (list (cons 0 "INSERT") (cons 2 (nth 0 (mh:GetXrefsNames)))))
		(foreach % (mh:GetXrefsNames)
				(foreach %% (mh:CON_ss2vlaobject (ssget "_x" (list (cons 0 "INSERT") (cons 2 %))))
					(vl-catch-all-apply 'vla-put-layer (list %% "IS_XREF_DWG"))
				)
		)
	)
)

(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:putlayer ( / dcl_id lis_bra_war tytokna zamkniecie pozycje) ;;!!!!!!!!!!!!!!!!!!!!!!poytestowac i skonczyc
(if (mh:qawa)
(progn

(if (mh:brakwarstw)
(progn


   (setq dcl_id (load_dialog "profilek-warstwy.dcl"))
		(if (not (new_dialog "putlayer" dcl_id))
			(progn
				(alert "Nie znaleziono pliku profilek-warstwy.dcl")
				(exit)
			);progn
		);if

		
		(setq	lis_bra_war	(mh:brakwarstw)
				tytokna			"Wstawianie nowej warstwy."
		);setq




			(start_list "key_lis_bra_war")
			(mapcar 'add_list lis_bra_war)
			(end_list)



			(set_tile "keytytokna" tytokna)


				   (action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
				   (action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
				   (action_tile "key_lis_bra_war" "(setq pozycje (mh:CON_Value2List $value))")
				   
				   
		   
		   (start_dialog)
		   (unload_dialog dcl_id)

		   
		(if (= zamkniecie 1)
			(progn
				(if pozycje
					(if (= 1 (length pozycje))
						(foreach % pozycje
							(mh:warstwa (nth % lis_bra_war) T)
						)
						(foreach % pozycje
							(mh:warstwa (nth % lis_bra_war) nil)
						)
					);if
				);if
			);progn jeeli wcinito OK

		);if
);progn
(alert "Brak warstw do dodania. Wszystkie warstwy z nakadki s ju w pliku \"dwg\"!!!")
);if

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================
