;=========================================================================
(defun c:dr2 ( / )
(vl-load-com)
(if (mh:qawa)
(progn

(mh:ustzap)


;=========================================================================
(setq dcl_id (load_dialog "profilek_DR-profile.dcl"))
	(if (not (new_dialog "profildr" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek_DR-profile.dcl")
			(exit)
		);progn
	);if
;=========================================================================

	
	
;=========================================================================
(if (null *DCL_PR-KS*)
	(setq *DCL_PR-KS* (list "Rysuj metryk tabeli" "100.00" "0.0" "500" "50" "Opisuj kolizje" "Rysuj legend"))
);if
(setq	DCL_METRYKA (car *DCL_PR-KS*)
		DCL_POZIOM (nth 1 *DCL_PR-KS*)
		DCL_odl0 (nth 2 *DCL_PR-KS*)
		DCL_skalapoziom (nth 3 *DCL_PR-KS*)
		DCL_skalapion (nth 4 *DCL_PR-KS*)
		DCL_opis_kolizji (nth 5 *DCL_PR-KS*)
		DCL_rys_legendy (nth 6 *DCL_PR-KS*)
);setq
;=========================================================================
	(setq DCL_opis_kolizji_lista (list "Opisuj kolizje" "Nie opisuj kolizji"))
	(start_list "DCL_opis_kolizji")
	(mapcar 'add_list DCL_opis_kolizji_lista)
	(end_list)
	(set_tile "DCL_opis_kolizji" (itoa (vl-position DCL_opis_kolizji DCL_opis_kolizji_lista))) 
	(action_tile "DCL_opis_kolizji" "(setq DCL_opis_kolizji (nth (atoi $value) DCL_opis_kolizji_lista))")
;=========================================================================
	(setq DCL_METRYKA_lista (list "Rysuj metryk tabeli" "Nie rysuj metryki tabeli"))
	(start_list "DCL_METRYKA")
	(mapcar 'add_list DCL_METRYKA_lista)
	(end_list)
	(set_tile "DCL_METRYKA" (itoa (vl-position DCL_METRYKA DCL_METRYKA_lista))) 
	(action_tile "DCL_METRYKA" "(setq DCL_METRYKA (nth (atoi $value) DCL_METRYKA_lista))")
;=========================================================================
	(setq DCL_rys_legendy_lista (list "Rysuj legend" "Nie rysuj legendy"))
	(start_list "DCL_rys_legendy")
	(mapcar 'add_list DCL_rys_legendy_lista)
	(end_list)
	(set_tile "DCL_rys_legendy" (itoa (vl-position DCL_rys_legendy DCL_rys_legendy_lista))) 
	(action_tile "DCL_rys_legendy" "(setq DCL_rys_legendy (nth (atoi $value) DCL_rys_legendy_lista))")
;=========================================================================
	(foreach % (list "DCL_POZIOM" "DCL_odl0" "DCL_skalapoziom" "DCL_skalapion")
		(set_tile % (eval (read %)))
		(action_tile % (strcat "(setq " % " $value)"))
	)
;=========================================================================
	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
;=========================================================================
	(start_dialog)
	(unload_dialog dcl_id)
;=========================================================================
   
   
  
   
   
;=========================================================================
	(if (= zamkniecie 1)
		(progn
			(setq *DCL_PR-KS* (list DCL_METRYKA DCL_POZIOM DCL_odl0 DCL_skalapoziom DCL_skalapion DCL_opis_kolizji DCL_rys_legendy))
		);progn
	);if
;=========================================================================


;=========================================================================
;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
(if (> (atof (mh:MsgCommaToDot DCL_skalapoziom)) 0)
	(setq skalapoziom (atof (mh:MsgCommaToDot DCL_skalapoziom)))
	(progn
		(alert "Skala pozioma nie jest wpisana poprawnie!")
		(setq zamkniecie 0)
	)
)

(if (> (atof (mh:MsgCommaToDot DCL_skalapion)) 0)
	(setq skalapion (atof (mh:MsgCommaToDot DCL_skalapion)))
	(progn
		(alert "Skala pionowa nie jest wpisana poprawnie!")
		(setq zamkniecie 0)
	)
)

(if (> (distof (mh:MsgCommaToDot DCL_POZIOM) 2) -51)
	(setq POZIOM (distof (mh:MsgCommaToDot DCL_POZIOM) 2))
	(progn
		(alert "Poziom porwnawczy nie jest wpisany poprawnie!")
		(setq zamkniecie 0)
	)
)

(if (>= (distof (mh:MsgCommaToDot DCL_odl0) 2) 0)
	(setq odl0 (distof (mh:MsgCommaToDot DCL_odl0) 2))
	(progn
		(alert "Odlego punktu \"0\" nie jest wpisana poprawnie!")
		(setq zamkniecie 0)
	)
)
;=========================================================================



(if (= zamkniecie 1)
	(progn
		;===========================================================================
		(mh:ACX_MAKE_TextStyle "DR_SIMPLEX" "simplex.shx" nil 0.7 nil T)
		;===========================================================================
		(mh:warstwa "DR_opisy" T)
		(mh:warstwa "DR_tabela" nil)
		(mh:warstwa "DR_niedruk" nil)
		(mh:warstwa "DR_dno_rowu_lewostronnego" nil)
		(mh:warstwa "DR_dno_rowu_prawostronnego" nil)
		(mh:warstwa "DR_teren_proj_gora" nil)
		(mh:warstwa "DR_teren_proj_spod" nil)
		(mh:warstwa "DR_teren_istn" nil)
		;===========================================================================
		(setvar "DIMZIN" 0) ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
		(setvar "OSNAPCOORD" 1) ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
		;===========================================================================
	);progn
);if


(if (= zamkniecie 1)
	(progn

		(setq	*PUNKT0* (getpoint "\nWska punkt 0,0 na poziomie porwnawczym.")
		);setq
	  
	  
		(if (= DCL_METRYKA "Rysuj metryk tabeli")
			(progn
					;======================================================================================================
					;narysowa metryk do tabelki - linie
					(mh:ENT_Make_Line "DR_tabela" *PUNKT0* (polar *PUNKT0* (* pi 1) 4.4) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (polar *PUNKT0* (* pi 1.5) 0.4) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 0.4) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (polar *PUNKT0* (* pi 1.5) 1.2) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 1.2) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (polar *PUNKT0* (* pi 1.5) 2.0) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 2.0) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (polar *PUNKT0* (* pi 1.5) 2.8) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 2.8) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (polar *PUNKT0* (* pi 1.5) 4.4) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 4.4) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (polar *PUNKT0* (* pi 1.5) 6.0) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 6.0) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (polar *PUNKT0* (* pi 1.5) 6.64) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 6.64) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (polar *PUNKT0* (* pi 1.5) 7.04) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 7.04) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 0) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 0.4) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 0.4) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 1.2) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 1.2) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 2.0) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 2.0) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 2.8) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 2.8) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 4.4) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 4.4) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 6.0) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 6.0) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 6.64) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 6.64) (polar (polar *PUNKT0* (* pi 1) 4.4) (* pi 1.5) 7.04) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car *PUNKT0*) (- (cadr *PUNKT0*) 0.0)) (list (car *PUNKT0*) (- (cadr *PUNKT0*) 0.4)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car *PUNKT0*) (- (cadr *PUNKT0*) 0.4)) (list (car *PUNKT0*) (- (cadr *PUNKT0*) 1.2)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car *PUNKT0*) (- (cadr *PUNKT0*) 1.2)) (list (car *PUNKT0*) (- (cadr *PUNKT0*) 2.0)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car *PUNKT0*) (- (cadr *PUNKT0*) 2.0)) (list (car *PUNKT0*) (- (cadr *PUNKT0*) 2.8)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car *PUNKT0*) (- (cadr *PUNKT0*) 2.8)) (list (car *PUNKT0*) (- (cadr *PUNKT0*) 4.4)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car *PUNKT0*) (- (cadr *PUNKT0*) 4.4)) (list (car *PUNKT0*) (- (cadr *PUNKT0*) 6.0)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car *PUNKT0*) (- (cadr *PUNKT0*) 6.0)) (list (car *PUNKT0*) (- (cadr *PUNKT0*) 6.64)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car *PUNKT0*) (- (cadr *PUNKT0*) 6.64)) (list (car *PUNKT0*) (- (cadr *PUNKT0*) 7.04)) nil nil nil)
					;======================================================================================================
					;Opisa metryk tabeli - teksty
					(setvar "CLAYER" "DR_opisy")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 0.2))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "RODZAJ NAWIERZCHNI")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 0.8))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "RZDNA TERENU PROJEKTOWANA [m]")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 1.6))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "RӯNICE RZDNYCH [m]")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 2.4))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "RZDNA TERENU ISTNIEJCA [m]")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 3.6))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "SPADKI I UKI PIONOWE")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 4.6))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "PROSTE I UKI POZIOME")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 4.9))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "KTY \U+03B3 [grady]")					;;;;;;;;;;;;;;;;;;;;;;;; sposb wstawiania greckich liter ;;;;;;;;;;;;;;;;;;;;;;;;
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 5.2))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "POCZTKI I KOCE KRZYWYCH")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 5.5))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "PRZEJCIOWYCH ORAZ UKW")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 5.8))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "[odlego | rzdna]")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 6.32))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "ODLEGO [m]")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 1.5) 6.84))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "PIKIETA")
					;======================================================================================================
					; opis poziomu porwnawczego nad tabelk
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.17) (* pi 0.5) 0.12))
						(command "_.text" PUNKT_temp "0.18" "0" (strcat "poziom por. " (rtos POZIOM 2 2) " m. n.p.m."))
					;======================================================================================================
					; wstawiamy podziak pionow
						(setq	poziomWPIS	(1+ POZIOM)
								odlWpisu (* (/ 100 skalapion) (- poziomWPIS POZIOM))
						);setq
						(while (< odlWpisu 8.0)
							(mh:ENT_Make_Line "DR_tabela" (list (car *PUNKT0*) (+ (cadr *PUNKT0*) odlWpisu)) (list (- (car *PUNKT0*) 0.25) (+ (cadr *PUNKT0*) odlWpisu)) nil nil nil)
							(setq	PUNKT_temp	(list (- (car *PUNKT0*) 0.35) (+ (cadr *PUNKT0*) odlWpisu)))
							(command "_.text" "_J" "_MR" PUNKT_temp "0.18" "0" (rtos poziomWPIS 2 2))
							(setq	poziomWPIS	(1+ poziomWPIS)
									odlWpisu (* (/ 100 skalapion) (- poziomWPIS POZIOM))
							);setq
						);while
					;======================================================================================================
					;wstawiamy reklam warstw niedrukowaln
					(setvar "CLAYER" "DR_niedruk")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.38) (* pi 0.5) 0.02))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.04" "90" "PROFILEK - autor: mgr in. Marcin Harasimowicz")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 4.32) (* pi 0.5) 0.02))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.04" "90" "www.instalacjesanitarne.com")
					;======================================================================================================
					;wstawiamy znak skali profilu
					(setvar "CLAYER" "DR_tabela")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.4) (* pi 0.5) 0.8))
						(command "_circle" PUNKT_temp "0.1")
							(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 0.9) (* pi 1) 3.40) (polar (polar *PUNKT0* (* pi 0.5) 1.7) (* pi 1) 3.4) nil nil nil)
							(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 1.63) (* pi 1) 3.50) (polar (polar *PUNKT0* (* pi 0.5) 1.7) (* pi 1) 3.4) nil nil nil)
							(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 1.63) (* pi 1) 3.30) (polar (polar *PUNKT0* (* pi 0.5) 1.7) (* pi 1) 3.4) nil nil nil)
							(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 1.63) (* pi 1) 3.50) (polar (polar *PUNKT0* (* pi 0.5) 1.95) (* pi 1) 3.4) nil nil nil)
							(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 1.63) (* pi 1) 3.30) (polar (polar *PUNKT0* (* pi 0.5) 1.95) (* pi 1) 3.4) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 0.8) (* pi 1) 3.30) (polar (polar *PUNKT0* (* pi 0.5) 0.8) (* pi 1) 2.5) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 0.9) (* pi 1) 2.57) (polar (polar *PUNKT0* (* pi 0.5) 0.8) (* pi 1) 2.5) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 0.7) (* pi 1) 2.57) (polar (polar *PUNKT0* (* pi 0.5) 0.8) (* pi 1) 2.5) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 0.9) (* pi 1) 2.57) (polar (polar *PUNKT0* (* pi 0.5) 0.8) (* pi 1) 2.25) nil nil nil)
						(mh:ENT_Make_Line "DR_tabela" (polar (polar *PUNKT0* (* pi 0.5) 0.7) (* pi 1) 2.57) (polar (polar *PUNKT0* (* pi 0.5) 0.8) (* pi 1) 2.25) nil nil nil)
					;======================================================================================================
					;wstawiamy opis znaku profilu
					(setvar "CLAYER" "DR_opisy")
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.2) (* pi 0.5) 1.25))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "1:")
						(mh:ENT_Make_Line "DR_opisy" (polar (polar *PUNKT0* (* pi 0.5) 1.25) (* pi 1) 2.55) (polar (polar *PUNKT0* (* pi 0.5) 1.25) (* pi 1) 3.03) nil nil nil)
					(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.21) (* pi 0.5) 0.66))
					(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat "1:" (rtos skalapoziom 2 0)))
					(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 2.97) (* pi 0.5) 1.13))
					(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat (rtos skalapoziom 2 0)))
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.54) (* pi 0.5) 0.99))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "90" (strcat "1:" (rtos skalapion 2 0)))
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 2.97) (* pi 0.5) 1.372))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat (rtos skalapion 2 0)))
					;======================================================================================================
					;koniec rysowania metryki tabelki
			);progn
		);if
		
		(if (= DCL_rys_legendy "Rysuj legend")
			(progn
				;======================================================================================================
				;WSTAWIAMY LEGEND
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.9) (* pi 0.5) 10))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "LEGENDA:")
					(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.5) (* pi 0.5) 9.75))
					(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "TEREN PROJEKTOWANY:")
					(mh:ENT_Make_Line "DR_teren_proj_gora" (polar (polar *PUNKT0* (* pi 0.5) 9.75) (* pi 1) 4.4) (polar (polar *PUNKT0* (* pi 0.5) 9.75) (* pi 1) 3.6) nil nil nil)
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.5) (* pi 0.5) 9.5))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "TEREN ISTNIEJCY:")
						(mh:ENT_Make_Line "DR_teren_istn" (polar (polar *PUNKT0* (* pi 0.5) 9.5) (* pi 1) 4.4) (polar (polar *PUNKT0* (* pi 0.5) 9.5) (* pi 1) 3.6) nil nil nil)
					(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.5) (* pi 0.5) 9.25))
					(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "DNO KORYTA W OSI")
					(mh:ENT_Make_Line "DR_teren_proj_spod" (polar (polar *PUNKT0* (* pi 0.5) 9.25) (* pi 1) 4.4) (polar (polar *PUNKT0* (* pi 0.5) 9.25) (* pi 1) 3.6) nil nil nil)
						(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.5) (* pi 0.5) 9.0))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "DNO ROWU LEWOSTRONNEGO")
						(mh:ENT_Make_Line "DR_dno_rowu_lewostronnego" (polar (polar *PUNKT0* (* pi 0.5) 9.0) (* pi 1) 4.4) (polar (polar *PUNKT0* (* pi 0.5) 9.0) (* pi 1) 3.6) nil nil nil)
					(setq	PUNKT_temp	(polar (polar *PUNKT0* (* pi 1) 3.5) (* pi 0.5) 8.75))
					(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" "DNO ROWU PRAWOSTRONNEGO")
					(mh:ENT_Make_Line "DR_dno_rowu_prawostronnego" (polar (polar *PUNKT0* (* pi 0.5) 8.75) (* pi 1) 4.4) (polar (polar *PUNKT0* (* pi 0.5) 8.75) (* pi 1) 3.6) nil nil nil)
				;======================================================================================================
			);progn
		);if
	  
	);progn
);if


;;;;;
;;;;;
;;;;;
;;;;;
;;;;;
;;;;;


(if (= zamkniecie 1)
	(progn
		;======================================================================================================
		(setq	PUNKTterISTN (getpoint *PUNKT0* "\nWska pierwszy punkt terenu ISTNIEJCEGO.")
				PUNKTterISTNPOPRZ PUNKTterISTN
				PUNKTterPROJ (getpoint *PUNKT0* "\nWska pierwszy punkt terenu PROJEKTOWANEGO.")
				PUNKTterPROJPOPRZ PUNKTterPROJ
		);setq

		
			;teraz ptla do odczytywania wsprzdnych i wypisywania tekstu pod tabelk.
			(while PUNKTterISTN
				;======================================================================================================
				; ustawiamy zmienne opisujce kady punkt na profilu
				(setq	RZEDNAterenuPROJ (+ POZIOM (* (- (cadr PUNKTterPROJ) (cadr *PUNKT0*)) (/ skalapion 100)))
						RZEDNAterenuISTN (+ POZIOM (* (- (cadr PUNKTterISTN) (cadr *PUNKT0*)) (/ skalapion 100)))
						ROZNrzednych (- RZEDNAterenuPROJ RZEDNAterenuISTN) ;;;;;;;;;warto moe by dodatnia i ujemna
						dlugoscODCINKA (* (- (car PUNKTterPROJ) (car PUNKTterPROJPOPRZ)) (/ skalapoziom 100))
						spadekTERENU	(if (> dlugoscODCINKA 0.0001) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;wynik w % dodatni lub ujemny moe by
											(progn
												(* 100 (/ (* (/ skalapion 100) (- (cadr PUNKTterPROJ) (cadr PUNKTterPROJPOPRZ))) dlugoscODCINKA))
											)
											0
										);if
										
						ODLEGLOSC (+ (* (/ skalapoziom 100) (- (car PUNKTterPROJ) (car *PUNKT0*))) odl0) ;;odlego w metrach pamita e wpisujemy tylko kocwk tej wartoci
						ODLEGLOSCpoprz (+ (* (/ skalapoziom 100) (- (car PUNKTterPROJPOPRZ) (car *PUNKT0*))) odl0) ;;odlego w metrach pamita e wpisujemy tylko kocwk tej wartoci - na pocztku odcinka
						ODLEGLOSCkoniec (rem ODLEGLOSC 100) ;kocwka  metrw do 100
						ODLEGLOSCkoniecPOPRZ (rem ODLEGLOSCpoprz 100) ;kocwka  metrw do 100 - na poczatku odcinka
						ODLEGLOSC100 (/ (- ODLEGLOSC ODLEGLOSCkoniec) 100) ;ilo penych odcinkw 100-metrowych
						ODLEGLOSC100poprz (/ (- ODLEGLOSCpoprz ODLEGLOSCkoniecPOPRZ) 100) ;ilo penych odcinkw 100-metrowych - na pocztku 
						PIK1000 (/ (- ODLEGLOSC100 (rem ODLEGLOSC100 10)) 10) ;ilo penych kilemetrw do wpisania
						PIK1000poprz (/ (- ODLEGLOSC100poprz (rem ODLEGLOSC100poprz 10)) 10) ;ilo penych kilemetrw do wpisania - na pocztku
						PIK100 (* (rem ODLEGLOSC100 10) 100) ;ilo hektometrw do wpisania w [m]
						PIK100poprz (* (rem ODLEGLOSC100poprz 10) 100) ;ilo hektometrw do wpisania w [m]- na pocztku
				);setq
				;======================================================================================================

				;======================================================================================================
				; opisujemy profil w tabelce
				(setvar "CLAYER" "DR_opisy")
					(setvar "CECOLOR" "1")
					(setvar "CELWEIGHT" 30)
					(setq	PUNKT_temp	(list (- (car PUNKTterPROJ) 0.05) (- (cadr *PUNKT0*) 0.8)))
					(command "_.text" "_J" "_C" PUNKT_temp "0.18" "90" (rtos RZEDNAterenuPROJ 2 2) )
					(setvar "CECOLOR" "256")
					(setvar "CELWEIGHT" -1)
				(setq	PUNKT_temp	(list (- (car PUNKTterPROJ) 0.05) (- (cadr *PUNKT0*) 2.4)))
				(command "_.text" "_J" "_C" PUNKT_temp "0.18" "90" (rtos RZEDNAterenuISTN 2 2) )
					(setq	PUNKT_temp	(list (- (car PUNKTterPROJ) 0.05) (- (cadr *PUNKT0*) 1.6)))
					(if (< ROZNrzednych 0)
						(command "_.text" "_J" "_C" PUNKT_temp "0.18" "90" (strcat "-" (rtos (abs ROZNrzednych) 2 2)) )
						(command "_.text" "_J" "_C" PUNKT_temp "0.18" "90" (strcat "+" (rtos (abs ROZNrzednych) 2 2)) )
					);if
					
				(if (> spadekTERENU 0) 
					(progn
						(setq	PUNKT_temp	(list (- (car PUNKTterPROJ) 0.05) (- (cadr *PUNKT0*) 3.45)))
						(command "_.text" "_J" "_MR" PUNKT_temp "0.18" "0" (strcat (rtos dlugoscODCINKA 2 2) "m"))
						
						(setq	PUNKT_temp	(list (+ (car PUNKTterPROJPOPRZ) 0.05) (- (cadr *PUNKT0*) 2.95)))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat "+" (rtos (abs spadekTERENU) 2 2) "%" ) )
					);progn
				);if
				(if (< spadekTERENU 0 ) 
					(progn
						(setq	PUNKT_temp	(list (+ (car PUNKTterPROJPOPRZ) 0.05) (- (cadr *PUNKT0*) 3.45)))
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat (rtos dlugoscODCINKA 2 2) "m"))
						
						(setq	PUNKT_temp	(list (- (car PUNKTterPROJ) 0.05) (- (cadr *PUNKT0*) 2.95)))
						(command "_.text" "_J" "_MR" PUNKT_temp "0.18" "0" (strcat "-" (rtos (abs spadekTERENU) 2 2) "%" ) )
					);progn
				);if
				(if (and (= spadekTERENU 0 ) (/= 0 dlugoscODCINKA))
					(progn
						(setq	PUNKT_temp	(list (* (+ (car PUNKTterPROJPOPRZ) (car PUNKTterPROJ) ) 0.5) (- (cadr *PUNKT0*) 3.45)))
						(command "_.text" "_J" "_MC" PUNKT_temp "0.18" "0" (strcat (rtos dlugoscODCINKA 2 2) "m"))
						
						(setq	PUNKT_temp	(list (* (+ (car PUNKTterPROJPOPRZ) (car PUNKTterPROJ) ) 0.5) (- (cadr *PUNKT0*) 2.95)))
						(command "_.text" "_J" "_MC" PUNKT_temp "0.18" "0" (strcat "+" (rtos (abs spadekTERENU) 2 2) "%" ) )
					);progn
				);if
					(setq	PUNKT_temp	(list (- (car PUNKTterPROJ) 0.05) (- (cadr *PUNKT0*) 6.32)))
					(command "_.text" "_J" "_C" PUNKT_temp "0.18" "90" (rtos ODLEGLOSCkoniec 2 2))
				; koniec opisywania profilu w tabelce
				;======================================================================================================


				;======================================================================================================
				;rysowanie linii tabelki
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 0.0)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 0.0)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 0.4)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 0.4)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 1.2)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 1.2)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 2.0)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.0)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 2.8)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.8)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 3.6)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 3.6)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 4.4)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 4.4)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 6.0)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.0)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 6.64)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.64)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJPOPRZ) (- (cadr *PUNKT0*) 7.04)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 7.04)) nil nil nil)
					;(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 0.0)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 0.4)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 0.4)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 1.2)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 1.2)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.0)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.0)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.8)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.8)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 3.6)) nil nil nil)
					;(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 3.6)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.0)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.0)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.64)) nil nil nil)
					;(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.64)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 7.04)) nil nil nil)
				(if (> spadekTERENU 0 ) 
					(mh:ENT_Make_Line "DR_tabela" (list (+ 0.0 (car PUNKTterPROJPOPRZ)) (- (cadr *PUNKT0*) 3.6)) (list (- (car PUNKTterPROJ) 0.0) (- (cadr *PUNKT0*) 2.8)) nil nil nil)
				);if
				
				(if (< spadekTERENU 0 ) 
					(mh:ENT_Make_Line "DR_tabela" (list (+ 0.0 (car PUNKTterPROJPOPRZ)) (- (cadr *PUNKT0*) 2.8)) (list (- (car PUNKTterPROJ) 0.0) (- (cadr *PUNKT0*) 3.6)) nil nil nil)
				);if
				
				(if (and (= spadekTERENU 0 ) (/= 0 dlugoscODCINKA))
					(mh:ENT_Make_Line "DR_tabela" (list (+ 0.0 (car PUNKTterPROJPOPRZ)) (- (cadr *PUNKT0*) 3.2)) (list (- (car PUNKTterPROJ) 0.0) (- (cadr *PUNKT0*) 3.2)) nil nil nil)
				);if	
				; koniec rysowania linii tabelki
				;======================================================================================================
				; wstawi piktogramy i opisy do nich
				(setvar "HPNAME" "SOLID")
				(setvar "HPSEPARATE" 1)
				
				(if (and (= 0.0 dlugoscODCINKA)(= 0.0 ODLEGLOSCkoniec)) ;jeeli odcinek o 0 dugoci w punkcie piktogramu np. na pocztku lub kocu
					(progn
							(setq tuRYSUJ (* (/ 100 skalapoziom) (- (* ODLEGLOSC100 100) odl0)))	;odlego od punktu 0 do piktogramu

										(setq	PUNKT_temp	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.84)))
										(setvar "CLAYER" "DR_tabela")
										(command "_circle" PUNKT_temp "0.075")
										(if (= PIK100 0) (command "_circle" PUNKT_temp "0.15"))	
										(if (= PIK100 0)
											(mh:ENT_Make_Line "DR_tabela" (list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.64)) (list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 7.04)) nil nil nil); rysowanie piktogramu
											(mh:ENT_Make_Line "DR_tabela" (list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.7)) (list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.98)) nil nil nil); rysowanie piktogramu
										)
										(if (= PIK100 0)
											(progn
												(setq	PUNKT_temp	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.84)))
												(setq	PUNKT_temp1	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.765)))
												(setq	PUNKT_temp2	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.915)))
												(command "_-hatch" "_W" "_Y" PUNKT_temp2 PUNKT_temp1 "_A" "_CE" PUNKT_temp PUNKT_temp2 "_CL" "" "")
													;(setq	PUNKT_temp	(list (+ (+ (car *PUNKT0*) tuRYSUJ) 0.1125) (- (cadr *PUNKT0*) 6.84)))
													;(command "_-hatch" PUNKT_temp "")
													(setq	PUNKT_temp1	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.69)))
													(setq	PUNKT_temp2	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.765)))
													(setq	PUNKT_temp3	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.84)))
													(setq	PUNKT_temp4	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.915)))
													(setq	PUNKT_temp5	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.99)))
													(command "_-hatch" "_W" "_Y" PUNKT_temp5 "_A" "_CE" PUNKT_temp3 PUNKT_temp1 "_L" PUNKT_temp2 "_A" "_CE" PUNKT_temp3 "_A" "-180" "_L" PUNKT_temp5 "_C" "" "")
											)
											(progn
												(setq	PUNKT_temp	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.84)))
												(setq	PUNKT_temp1	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.765)))
												(setq	PUNKT_temp2	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.915)))
												(command "_-hatch" "_W" "_Y" PUNKT_temp2 PUNKT_temp1 "_A" "_CE" PUNKT_temp PUNKT_temp2 "_CL" "" "")
											)
										)
										(setvar "CLAYER" "DR_opisy")
										(setq	PUNKT_temp	(list (+ (+ (car *PUNKT0*) tuRYSUJ) 0.2) (- (cadr *PUNKT0*) 6.84)))
										(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat (rtos (abs PIK1000) 2 0) "+" (if (= PIK100 0) "000" (rtos (abs PIK100) 2 0)) ) )
					);progn
				)

				(if (> (- ODLEGLOSC100 ODLEGLOSC100poprz) 0) ;jeeli rne iloci penych odcinkw 100metrowych na pocztku i kocu
					(progn
						(setq numerpikto ODLEGLOSC100)
						(repeat (fix (- ODLEGLOSC100 ODLEGLOSC100poprz)) ;rysowac piktogram tyle razy ile jest
							(setq tuRYSUJ (* (/ 100 skalapoziom) (- (* numerpikto 100) odl0)))	;odlego od punktu 0 do piktogramu
							
										(setq	PUNKT_temp	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.84)))
										(setvar "CLAYER" "DR_tabela")
										(command "_circle" PUNKT_temp "0.075")
										(if (= PIK100 0) (command "_circle" PUNKT_temp "0.15"))
										(if (= PIK100 0)
											(mh:ENT_Make_Line "DR_tabela" (list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.64)) (list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 7.04)) nil nil nil); rysowanie piktogramu
											(mh:ENT_Make_Line "DR_tabela" (list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.7)) (list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.98)) nil nil nil); rysowanie piktogramu
										)
										(if (= PIK100 0)
											(progn
												(setq	PUNKT_temp	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.84)))
												(setq	PUNKT_temp1	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.765)))
												(setq	PUNKT_temp2	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.915)))
												(command "_-hatch" "_W" "_Y" PUNKT_temp2 PUNKT_temp1 "_A" "_CE" PUNKT_temp PUNKT_temp2 "_CL" "" "")
													;(setq	PUNKT_temp	(list (+ (+ (car *PUNKT0*) tuRYSUJ) 0.1125) (- (cadr *PUNKT0*) 6.84)))
													;(command "_-hatch" PUNKT_temp "")
													(setq	PUNKT_temp1	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.69)))
													(setq	PUNKT_temp2	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.765)))
													(setq	PUNKT_temp3	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.84)))
													(setq	PUNKT_temp4	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.915)))
													(setq	PUNKT_temp5	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.99)))
													(command "_-hatch" "_W" "_Y" PUNKT_temp5 "_A" "_CE" PUNKT_temp3 PUNKT_temp1 "_L" PUNKT_temp2 "_A" "_CE" PUNKT_temp3 "_A" "-180" "_L" PUNKT_temp5 "_C" "" "")
											)
											(progn
												(setq	PUNKT_temp	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.84)))
												(setq	PUNKT_temp1	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.765)))
												(setq	PUNKT_temp2	(list (+ (car *PUNKT0*) tuRYSUJ) (- (cadr *PUNKT0*) 6.915)))
												(command "_-hatch" "_W" "_Y" PUNKT_temp2 PUNKT_temp1 "_A" "_CE" PUNKT_temp PUNKT_temp2 "_CL" "" "")
											)
										)
										(setvar "CLAYER" "DR_opisy")
										(setq	PUNKT_temp	(list (+ (+ (car *PUNKT0*) tuRYSUJ) 0.2) (- (cadr *PUNKT0*) 6.84)))
										(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat (rtos (abs PIK1000) 2 0) "+" (if (= PIK100 0) "000" (rtos (abs PIK100) 2 0)) ) )
										
								
							(setq	numerpikto (1- numerpikto)
									ODLEGLOSC100 (1- ODLEGLOSC100) ;ilo penych odcinkw 100-metrowych
									PIK1000 (/ (- ODLEGLOSC100 (rem ODLEGLOSC100 10)) 10) ;ilo penych kilemetrw do wpisania
									PIK100 (* (rem ODLEGLOSC100 10) 100) ;ilo hektometrw do wpisania w [m]
							)
						)
					);progn
				)
				;======================================================================================================


				
				;======================================================================================================
				(setq	PUNKTterISTNPOPRZ PUNKTterISTN
						PUNKTterPROJPOPRZ PUNKTterPROJ
						PUNKTterISTN (getpoint (list (car PUNKTterPROJPOPRZ) (cadr *PUNKT0*)) "\nWska kolejny punkt terenu ISTNIEJCEGO.")
				);setq
					(if PUNKTterISTN
						(setq PUNKTterPROJ (getpoint (list (car PUNKTterPROJPOPRZ) (cadr *PUNKT0*)) "\nWska kolejny punkt terenu PROJEKTOWANEGO."))
					);if	


			);while
			
			
					;======================================================================================================
					; wstawiamy linie na kocu tabelki
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 0.0)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 0.4)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 0.4)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 1.2)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 1.2)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.0)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.0)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.8)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 2.8)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 4.4)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 4.4)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.0)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.0)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.64)) nil nil nil)
					(mh:ENT_Make_Line "DR_tabela" (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 6.64)) (list (car PUNKTterPROJ) (- (cadr *PUNKT0*) 7.04)) nil nil nil)
					;======================================================================================================
			
	);progn
);if
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  ;================================== OPISYWANIE KOLIZJI ==================================
 (if (and (= DCL_opis_kolizji "Opisuj kolizje") (= zamkniecie 2))
 (progn
  (command "_clayer" "IS_opisy")
  (setq	PUNKT_temp (getpoint "\nWska punkt kolizji do opisania poziomu.")
  );setq
  
  (while PUNKT_temp
  (setq	Xtemp (car PUNKT_temp)
		Ytemp (cadr PUNKT_temp)
		rzednakolizji (+  POZIOM (* (/ skalapion 10000) (- Ytemp Y0)))
		PUNKT_temp2 (getpoint "\nWska miejsce opisania wsprzdnej.")
		Xtemp2 (car PUNKT_temp2)
		Ytemp2 (cadr PUNKT_temp2)
	);setq
	
(if (> Xtemp2 Xtemp)
(progn
(command "_line" PUNKT_temp "@20,0" PUNKT_temp2 "@100,0" "")
(setq 	Xtemp (+ Xtemp2 20)
		Ytemp (+ Ytemp2 40)
		PUNKT_temp (list Xtemp Ytemp)
		);setq
(command "_line" PUNKT_temp "@0,-40" "@-15,15" "@85,0" "")
(setq 	Xtemp (+ Xtemp2 24)
		Ytemp (+ Ytemp2 27)
		PUNKT_temp (list Xtemp Ytemp)
		);setq
(command "_.text" "_J" "_ML" PUNKT_temp "18" "0" (rtos rzednakolizji 2 2))
);progn na tak

(progn
(command "_line" PUNKT_temp "@-20,0" PUNKT_temp2 "@-100,0" "")
(setq 	Xtemp (- Xtemp2 80)
		Ytemp (+ Ytemp2 40)
		PUNKT_temp (list Xtemp Ytemp)
		);setq
(command "_line" PUNKT_temp "@0,-40" "@-15,15" "@85,0" "")
(setq 	Xtemp (- Xtemp2 76)
		Ytemp (+ Ytemp2 27)
		PUNKT_temp (list Xtemp Ytemp)
		);setq
(command "_.text" "_J" "_ML" PUNKT_temp "18" "0" (rtos rzednakolizji 2 2))
);progn na nie
 );if
 
 (setq	PUNKT_temp (getpoint "\nWska kolejny punkt kolizji do opisania poziomu.")
  );setq
 );while
 
);progn
 );if
;=============================================KONIEC OPISYWANIA KOLIZJI ===========================================



   
   (mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun pks
;=========================================================================

;=========================================================================
(defun c:dr1 ( / )
(if (mh:qawa)
(progn

(mh:ustzap)


;===========================================================================
(mh:ACX_MAKE_TextStyle "DR_SIMPLEX" "simplex.shx" nil 0.7 nil T)
;===========================================================================
(mh:warstwa "DR_opisy" T)
(mh:warstwa "DR_tabela" nil)
(mh:warstwa "DR_niedruk" nil)
(mh:warstwa "DR_teren_proj_gora" nil)
(mh:warstwa "DR_teren_proj_spod" nil)
(mh:warstwa "DR_teren_istn" nil)
;=========================================================================



;===========================================================
(setvar "dimzin" 0) ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(setvar "osnapcoord" 1) ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================

;===========================================================================
(if (null RzednaP1) (setq RzednaP1 112))
(if (null RzednaI1) (setq RzednaI1 111))
(if (null *ZmianaSkalipoz*) (setq *ZmianaSkalipoz* 1))
(if (null *ZmianaSkalipio*) (setq *ZmianaSkalipio* 1))
(if (null GruboscKonstrukcji) (setq GruboscKonstrukcji 0.45))
;===========================================================================


(setq	PunktP1 (getpoint "\nKliknij pierwszy punkt \"terenu projektowanego\" od ktrego rysowany bdzie profil terenu(na profilu): ")
		*ZmianaSkalipoz* (UIGetDist "\nWpisz o ile razy zmieni skal POZIOM profilu w stosunku do mapy (1 - brak zmiany, 0.2 - zmniejszenie 5x dugoci profilu): " *ZmianaSkalipoz*)
		*ZmianaSkalipio* (UIGetDist "\nWpisz o ile razy zmieni skal PIONOW profilu w stosunku 1 (1 - brak zmiany, 2 - powikszenie 2x (np 1:50), itp): " *ZmianaSkalipio*)
		PunktT1 (getpoint "\nKliknij pierwszy punkt na mapie.")
		RzednaI1 (UIGetDist "\nWpisz warto poziomu terenu istniejcego w tym punkcje [m]: " RzednaI1)
		RzednaP1 (UIGetDist "\nWpisz warto poziomu terenu projektowanego w tym punkcje [m]: " RzednaP1)
		GruboscKonstrukcji (UIGetDist "\nPodaj grubo konstrukcji drogi [m]: " GruboscKonstrukcji)
		PunktK1 (polar punktP1 (* 1.5 pi) (* *ZmianaSkalipio* (* GruboscKonstrukcji 1)))
		PunktI1 (polar punktP1 (* 1.5 pi) (* *ZmianaSkalipio* (* (- RzednaP1 RzednaI1) 1)));---------------------------???????????????????????????????????????????/
		OpisT1 (getstring T "\nWpisz opis na profilu do tego punktu: ")
);setq


; (mh:ENT_Make_Line "0" '(0 0 0) '(10 20 0) nil nil nil) ;???????????????????


(setvar "clayer" "DR_opisy")
(command "_.text" (polar (polar PunktP1 pi 0.05) (/ pi 2) 0.30) "0.18" "90" OpisT1)
(mh:ENT_Make_Line "DR_tabela" PunktP1 (polar PunktP1 (/ pi 2) 5) nil nil nil)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; rysowanie znacznika na poziomie odniesienia ;;;;;
(setvar "clayer" "DR_niedruk")
(command "_.text" (polar (polar PunktI1 (* 1.5 pi) (- (* (+ (rem RzednaI1 5) 5) 1) 0.05)) 0 0.1) "0.18" "0" (rtos (- RzednaI1 (/ (+ (rem RzednaI1 5) 5) *ZmianaSkalipio*)) 2 2))
(command "_circle" (polar PunktI1 (* 1.5 pi) (* (+ (rem RzednaI1 5) 5) 1)) "_d" "0.1")
(setq ypunktu0 (cadr (polar PunktI1 (* 1.5 pi) (* (+ (rem RzednaI1 5) 5) 1))))
(setvar "clayer" "DR_opisy")
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


(setq	PunktT0 PunktT1 )
(setq	odcinek (mh:getSSlenghtRadius "\nKliknij odcinek na rzucie."))

(while odcinek
	(setq	PunktP0 PunktP1
			PunktI0 PunktI1
			PunktK0 PunktK1
			RzednaI0 RzednaI1
			RzednaP0 RzednaP1
			RzednaI1 (UIGetDist "\nWpisz warto poziomu terenu istniejcego na kocu odcinka [m n.p.m.]: " RzednaI1)
			RzednaP1 (UIGetDist "\nWpisz warto poziomu terenu projektowanego na kocu odcinka [m n.p.m.]: " RzednaP1)
			GruboscKonstrukcji (UIGetDist "\nPodaj grubo konstrukcji drogi [m]: " GruboscKonstrukcji)
			OpisT1 (getstring T "\nWpisz opis na profilu na kocu odcinka: ")
			PunktI1 (polar (polar PunktI0 0 (* *ZmianaSkalipoz* (car odcinek))) (/ pi 2) (* *ZmianaSkalipio* (* (- RzednaI1 RzednaI0) 1))) ;????????????????????????????????????????/
			PunktP1 (polar (polar PunktP0 0 (* *ZmianaSkalipoz* (car odcinek))) (/ pi 2) (* *ZmianaSkalipio* (* (- RzednaP1 RzednaP0) 1)))
			PunktK1 (polar punktP1 (* 1.5 pi) (* *ZmianaSkalipio* (* GruboscKonstrukcji 1)))
	);setq
	(setvar "clayer" "DR_opisy")
	(command "_.text" (polar (polar PunktP1 pi 0.05) (/ pi 2) 0.30) "0.18" "90" OpisT1)
	(mh:ENT_Make_Line "DR_tabela" PunktP1 (polar PunktP1 (/ pi 2) 5) nil nil nil)
	
	(mh:ENT_Make_Line "DR_teren_istn" PunktI0 PunktI1 nil nil nil)
	(mh:ENT_Make_Line "DR_teren_proj_gora" PunktP0 PunktP1 nil nil nil)
	(mh:ENT_Make_Line "DR_teren_proj_spod" PunktK0 PunktK1 nil nil nil)

	
	
	
	
	;=====================================
	; opisanie uku poziomego
	(if (> (cadr odcinek) 0) ;jeeli promie jest wikszy od zera czyli jest to uk
		(progn
			(mh:ENT_Make_Line "DR_tabela" (list (car PunktP0)  (- ypunktu0 4.4)) (list (car PunktP0) (- ypunktu0 6.0)) nil nil nil)
			(mh:ENT_Make_Line "DR_tabela" (list (car PunktP1)  (- ypunktu0 4.4)) (list (car PunktP1) (- ypunktu0 6.0)) nil nil nil)
			(mh:ENT_Make_Line "DR_tabela" (list (car PunktP0)  (- ypunktu0 5.2)) (list (car PunktP1) (- ypunktu0 5.2)) nil nil nil)
				(setvar "clayer" "DR_opisy")
				(setq PUNKT_temp (list (+ (car PunktP0) 0.05) (- ypunktu0 4.53)))
				(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat "=" "xx"))
				(setq PUNKT_temp (list (+ (car PunktP0) 0.05) (- ypunktu0 4.79)))
				(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat "R=" (rtos (cadr odcinek) 2 2) " \U+03B3=xx"))
				(setq PUNKT_temp (list (+ (car PunktP0) 0.05) (- ypunktu0 5.05)))
				(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "0" (strcat "Z=" "xx"))
		);progn
	);if
	;=====================================
	
	
	
(setq	odcinek (mh:getSSlenghtRadius "\nKliknij kolejny odcinek na rzucie."))
);while


(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:dr3 (/ dcl_id ODLEGLOSC ODLEGLOSCkoniec DCL_skalapoziom_luk_pio DCL_skalapion_luk_pio DCL_POZIOM DCL_odl0 odl0 POZIOM DCL_znana_luku_pionowego DCL_wielkosc_znanej_luku_pionowego DCL_minmax_luku_pionowego_lista DCL_minmax_luku_pionowego DCL_znana_luku_pionowego_lista % zamkniecie skalapoziom skalapion znanaluku zbior ilosclinii aa bb cc dd p11 p22 p33 temp i1 i2 ww stycznalu dlugosclu promienlu l1 lukpionowylista l3 n l2temp l2 l22 opisliniiL opisliniiR warstwaliniiL warstwaliniiR kolorliniiL kolorliniiR stylliniiL stylliniiR gruboscliniiL gruboscliniiR h_opisu_luku_pion temp1 temp2 PUNKT_temp PKTminmax RZEDNApunktuMINMAX RZEDNApunktul1 RZEDNApunktul3 DCL_opisSRODKA_luku DCL_opisSRODKA_luku_lista RZEDNApunktul2)
(if (mh:qawa)
(progn

(mh:ustzap)
;===========================================================================
(mh:ACX_MAKE_TextStyle "DR_SIMPLEX" "simplex.shx" nil 0.7 nil T)
;===========================================================================
(mh:warstwa "DR_teren_proj_gora" T)
(mh:warstwa "DR_tabela" nil)
(mh:warstwa "DR_opisy" nil)
;=========================================================================

;===========================================================
(setvar "dimzin" 0) ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(setvar "osnapcoord" 1) ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================


		;=========================================================================
		(setq dcl_id (load_dialog "profilek_DR-profile.dcl"))
			(if (not (new_dialog "lukpionowy" dcl_id))
				(progn
					(alert "Nie znaleziono pliku profilek_DR-profile.dcl")
					(exit)
				);progn
			);if
		;=========================================================================

		;=========================================================================
		(if (null *DCL_LUK-PIO*)
			(setq *DCL_LUK-PIO* (list "500" "50" "Styczna" "10.0" "Tak" "100.00" "0.0" "Tak"))
		);if
		(setq	DCL_skalapoziom_luk_pio (car *DCL_LUK-PIO*)
				DCL_skalapion_luk_pio (nth 1 *DCL_LUK-PIO*)
				DCL_znana_luku_pionowego (nth 2 *DCL_LUK-PIO*)
				DCL_wielkosc_znanej_luku_pionowego (nth 3 *DCL_LUK-PIO*)
				DCL_minmax_luku_pionowego (nth 4 *DCL_LUK-PIO*)
				DCL_POZIOM (nth 5 *DCL_LUK-PIO*)
				DCL_odl0 (nth 6 *DCL_LUK-PIO*)
				DCL_opisSRODKA_luku (nth 7 *DCL_LUK-PIO*)
		);setq
		;=========================================================================
			(setq DCL_znana_luku_pionowego_lista (list "Styczna" "Promie"))
			(start_list "DCL_znana_luku_pionowego")
			(mapcar 'add_list DCL_znana_luku_pionowego_lista)
			(end_list)
			(set_tile "DCL_znana_luku_pionowego" (itoa (vl-position DCL_znana_luku_pionowego DCL_znana_luku_pionowego_lista))) 
			(action_tile "DCL_znana_luku_pionowego" "(setq DCL_znana_luku_pionowego (nth (atoi $value) DCL_znana_luku_pionowego_lista))")
		;=========================================================================
			(setq DCL_minmax_luku_pionowego_lista (list "Tak" "Nie"))
			(start_list "DCL_minmax_luku_pionowego")
			(mapcar 'add_list DCL_minmax_luku_pionowego_lista)
			(end_list)
			(set_tile "DCL_minmax_luku_pionowego" (itoa (vl-position DCL_minmax_luku_pionowego DCL_minmax_luku_pionowego_lista))) 
			(action_tile "DCL_minmax_luku_pionowego" "(setq DCL_minmax_luku_pionowego (nth (atoi $value) DCL_minmax_luku_pionowego_lista))")
		;=========================================================================
			(setq DCL_opisSRODKA_luku_lista (list "Tak" "Nie"))
			(start_list "DCL_opisSRODKA_luku")
			(mapcar 'add_list DCL_opisSRODKA_luku_lista)
			(end_list)
			(set_tile "DCL_opisSRODKA_luku" (itoa (vl-position DCL_opisSRODKA_luku DCL_opisSRODKA_luku_lista))) 
			(action_tile "DCL_opisSRODKA_luku" "(setq DCL_opisSRODKA_luku (nth (atoi $value) DCL_opisSRODKA_luku_lista))")
		;=========================================================================
			(foreach % (list "DCL_skalapoziom_luk_pio" "DCL_skalapion_luk_pio" "DCL_wielkosc_znanej_luku_pionowego" "DCL_POZIOM" "DCL_odl0")
				(set_tile % (eval (read %)))
				(action_tile % (strcat "(setq " % " $value)"))
			)
		;=========================================================================
			(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
			(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
		;=========================================================================
			(start_dialog)
			(unload_dialog dcl_id)
		;=========================================================================
												   
												  
		;=========================================================================
			(if (= zamkniecie 1)
				(progn
					(setq *DCL_LUK-PIO* (list DCL_skalapoziom_luk_pio DCL_skalapion_luk_pio DCL_znana_luku_pionowego DCL_wielkosc_znanej_luku_pionowego DCL_minmax_luku_pionowego DCL_POZIOM DCL_odl0 DCL_opisSRODKA_luku))
				);progn
			);if
		;=========================================================================


		;=========================================================================
		;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
		(if (> (atof (mh:MsgCommaToDot DCL_skalapoziom_luk_pio)) 0)
			(setq skalapoziom (atof (mh:MsgCommaToDot DCL_skalapoziom_luk_pio)))
			(progn
				(alert "Skala pozioma nie jest wpisana poprawnie!")
				(setq zamkniecie 0)
			)
		)

		(if (> (atof (mh:MsgCommaToDot DCL_skalapion_luk_pio)) 0)
			(setq skalapion (atof (mh:MsgCommaToDot DCL_skalapion_luk_pio)))
			(progn
				(alert "Skala pionowa nie jest wpisana poprawnie!")
				(setq zamkniecie 0)
			)
		)

		(if (> (atof (mh:MsgCommaToDot DCL_wielkosc_znanej_luku_pionowego)) 0)
			(setq znanaluku (atof (mh:MsgCommaToDot DCL_wielkosc_znanej_luku_pionowego)))
			(progn
				(alert "Znany parametr uku ma niewaciw warto!")
				(setq zamkniecie 0)
			)
		)
		
		(if (> (distof (mh:MsgCommaToDot DCL_POZIOM) 2) -51)
			(setq POZIOM (distof (mh:MsgCommaToDot DCL_POZIOM) 2))
			(progn
				(alert "Poziom porwnawczy nie jest wpisany poprawnie!")
				(setq zamkniecie 0)
			)
		)
		
		(if (>= (distof (mh:MsgCommaToDot DCL_odl0) 2) 0)
			(setq odl0 (distof (mh:MsgCommaToDot DCL_odl0) 2))
			(progn
				(alert "Odlego punktu \"0\" nie jest wpisana poprawnie!")
				(setq zamkniecie 0)
			)
		)
		;=========================================================================
(if (= zamkniecie 1)
(progn


		;=========================================================================
		;;wskazac dwie linie ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;maj si styka!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
			(princ "\nZaznacz DWIE linie niwelety drogi do tworzenia uku: ")
			(setq 	zbior (ssget '((-4 . "<OR")(0 . "line")(-4 . "OR>")) ) ;zmienna "zbior" to wybrane linie
					ilosclinii (sslength zbior)
			);setq
			(while (/= ilosclinii 2)
				(princ "\nZaznacz TYLKO DWIE linie niwelety drogi do tworzenia uku: ")
				(setq 	zbior (ssget '((-4 . "<OR")(0 . "line")(-4 . "OR>")) ) ;zmienna "zbior" to wybrane linie
					ilosclinii (sslength zbior)
				);setq
			);while
		;=========================================================================
		;=========================================================================
		; przeanalizowac gdzie jest punkt przecicia oraz punkt lewy i prawy koncw linii
			(setq 	aa (cdr (assoc 10 (entget (ssname zbior 0)))) ;pocztek jednej linii - wsprzdne
					bb (cdr (assoc 11 (entget (ssname zbior 0)))) ;koniec jednej linii - wsprzdne
					cc (cdr (assoc 10 (entget (ssname zbior 1)))) ;pocztek jednej linii - wsprzdne
					dd (cdr (assoc 11 (entget (ssname zbior 1)))) ;koniec jednej linii - wsprzdne
					p22	(inters aa bb cc dd) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;punkt przeciecia linii (tylko jezelilinie sie stykaja)
			)
					(if (< (distance p22 aa) 0.001) (setq p11 bb) (setq p11 aa))
					(if (< (distance p22 cc) 0.001) (setq p33 dd) (setq p33 cc))
			
			
		(if (> (car p11) (car p33))
			(setq	temp	p11
					p11	p33	;;;;;;;;;;;;;;;;;;;;;;;;punkt lewy linii
					p33 temp	;;;;;;;;;;;;;;;;;;punkt prawy linii
			)
		)
		;=========================================================================
			; przeanalizowac czy uk jest wklsy czy wypuky
			(setq	i1 (/ (* (- (cadr p22) (cadr p11)) skalapion) (* (abs (- (car p22) (car p11))) skalapoziom)) ;spadek lewej strony drogi z uwzglednieniem skali
					i2 (/ (* (- (cadr p33) (cadr p22)) skalapion) (* (abs (- (car p33) (car p22))) skalapoziom)) ;spadek prawej strony drogi z uwzglednieniem skali
					ww (abs (- i1 i2)) ;;kt zaomu uku omega
			)
		;=========================================================================
		(if (= "Styczna" DCL_znana_luku_pionowego)
			(progn ; jeeli podana styczna
				(setq	stycznalu	znanaluku
						dlugosclu	(* 2 stycznalu)
						promienlu	(/ dlugosclu ww)
				)
			)
			(progn	;jeeli podany promie
				(setq	promienlu	znanaluku
						dlugosclu	(* promienlu ww)
						stycznalu	(/ dlugosclu 2)
				)
			)
		)
		;=========================================================================
		(princ "\n...\n styczna uku: ")(princ stycznalu)
		(princ " ... dlugosc uku: ")(princ dlugosclu)
		(princ " ... promien uku: ")(princ promienlu)
		(princ "\n spadek lewej prostej: ")(princ i1)
		(princ " ... spadek prawej prostej: ")(princ i2)
		(princ " \n omega uku: ")(princ ww)
		(princ " \n...")
		(princ)
		;========================================================================= 
		
						;=========================================================================
						; stycznalu = (/ (* stycznalu 100) skalapoziom)
						; promienlu = promienlu
						(setq 	l1 (inters p11 p22 (polar p22 (* pi 1) (/ (* stycznalu 100) skalapoziom)) (polar (polar p22 (* pi 1) (/ (* stycznalu 100) skalapoziom)) (* pi 0.5) 1) nil) ;punkt poczatku luku
								lukpionowylista (cons l1 lukpionowylista)
								l3 (inters p22 p33 (polar p22 (* pi 0) (/ (* stycznalu 100) skalapoziom)) (polar (polar p22 (* pi 0) (/ (* stycznalu 100) skalapoziom)) (* pi 0.5) 1) nil) ;punkt konca luku
						)
						
						(repeat (setq n (fix (/ (- (/ (* stycznalu 100) skalapoziom) (rem (/ (* stycznalu 100) skalapoziom) 0.1)) 0.1)))
							(setq	l2temp	(inters p11 p22 (polar p22 (* pi 1) (* n 0.1)) (polar (polar p22 (* pi 1) (* n 0.1)) (* pi 0.5) 1) nil)
									l2		(if (> i1 i2)
												(polar l2temp (* pi 1.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car l2temp) (car l1))) 100) (/ (* skalapoziom (- (car l2temp) (car l1))) 100)) (* 2 promienlu))) skalapion))
												(polar l2temp (* pi 0.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car l2temp) (car l1))) 100) (/ (* skalapoziom (- (car l2temp) (car l1))) 100)) (* 2 promienlu))) skalapion))
												;(polar l2temp (* pi 0.5) (/ (* (- (car l2temp) (car l1)) (- (car l2temp) (car l1))) (* 2 promienlu)))
											)
							)
							(setq lukpionowylista (cons l2 lukpionowylista))
							(setq n (1- n))
						)
						;=========================================================================
									(setq	l2		(if (> i1 i2)
														(polar p22 (* pi 1.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car p22) (car l1))) 100) (/ (* skalapoziom (- (car p22) (car l1))) 100)) (* 2 promienlu))) skalapion)) ;punkt rodka uku
														(polar p22 (* pi 0.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car p22) (car l1))) 100) (/ (* skalapoziom (- (car p22) (car l1))) 100)) (* 2 promienlu))) skalapion)) ;punkt rodka uku
														;(polar p22 (* pi 0.5) (/ (* (- (car p22) (car l1)) (- (car p22) (car l1))) (* 2 promienlu))) ;punkt rodka uku
													)
									)
									(setq lukpionowylista (cons l2 lukpionowylista))


						;=========================================================================
											(repeat	(setq	temp	1 
															n		(fix (/ (- (/ (* stycznalu 100) skalapoziom) (rem (/ (* stycznalu 100) skalapoziom) 0.1)) 0.1)))
													(setq	l2temp	(inters p33 p22 (polar p22 (* pi 0) (* temp 0.1)) (polar (polar p22 (* pi 0) (* temp 0.1)) (* pi 0.5) 1) nil)
															l22		(if (> i1 i2)
																		(polar l2temp (* pi 1.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car l3) (car l2temp))) 100) (/ (* skalapoziom (- (car l3) (car l2temp))) 100)) (* 2 promienlu))) skalapion))
																		(polar l2temp (* pi 0.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car l3) (car l2temp))) 100) (/ (* skalapoziom (- (car l3) (car l2temp))) 100)) (* 2 promienlu))) skalapion))
																		;(polar l2temp (* pi 0.5) (/ (* (- (car l3) (car l2temp)) (- (car l3) (car l2temp))) (* 2 promienlu)))
																	)
													)
													(setq	lukpionowylista (cons l22 lukpionowylista)
															temp (1+ temp)
													)
											)
						(setq lukpionowylista (cons l3 lukpionowylista))
						(mh:ENT_Make_LWPolyline "DR_teren_proj_gora" nil lukpionowylista nil)
						;=========================================================================
		
		;=========================================================================
		;skasowac linie i dorysowa punkt

	(setq	opisliniiL (entget (ssname zbior 0))
			opisliniiR (entget (ssname zbior 1))
			warstwaliniiL (cdr (assoc 8 opisliniiL))
			warstwaliniiR (cdr (assoc 8 opisliniiR))
			kolorliniiL (cdr (assoc 62 opisliniiL))
			kolorliniiR (cdr (assoc 62 opisliniiR))
			stylliniiL (cdr (assoc 6 opisliniiL))
			stylliniiR (cdr (assoc 6 opisliniiR))
			gruboscliniiL (cdr (assoc 370 opisliniiL))
			gruboscliniiR (cdr (assoc 370 opisliniiR))
	) ; zmienna opislinii jest list zmiennych opisujc parametry linii
	(entdel (cdr (assoc -1 opisliniiL)))
	(entdel (cdr (assoc -1 opisliniiR)))
			(mh:ENT_Make_Line warstwaliniiL p11 l1 kolorliniiL stylliniiL gruboscliniiL)
			(mh:ENT_Make_Line warstwaliniiR l3 p33 kolorliniiR stylliniiR gruboscliniiR)
			(command "_point" p22)
		
		
		
		;=========================================================================
		
		;L1 l3 - wysoko linii opisowej uku xx metry nad wyszym punktem pocztku lub koca uku
		(setq h_opisu_luku_pion 3.0) ;tutaj wpisujemy wysokosc nad skrajnym wyzszym kocem uku
		(if (> (cadr l1) (cadr l3))
			(progn
				(setq	temp1 (polar l1 (* pi 0.5) h_opisu_luku_pion)
						temp2 (polar temp1 (* pi 0) (- (car l3) (car l1)))
				)
				(mh:ENT_Make_Line "DR_tabela" l1 temp1 nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" temp1 temp2 nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" temp2 l3 nil nil nil)
				(setq	PUNKT_temp (polar (polar temp1 (* pi 0) (/ (distance temp1 temp2) 2)) (* pi 0.5) 0.1))
				(setvar "CLAYER" "DR_opisy")
				(if (> 0 (- (cadr l2) (cadr p22)))
					(command "_.text" "_J" "_C" PUNKT_temp "0.18" "0" (strcat "T=" (rtos stycznalu 2 2 ) ", R=" (rtos promienlu 2 2 )", B=" (rtos (/ (* skalapion (- (cadr l2) (cadr p22))) 100) 2 2 )))
					(command "_.text" "_J" "_C" PUNKT_temp "0.18" "0" (strcat "T=" (rtos stycznalu 2 2 ) ", R=" (rtos promienlu 2 2 )", B=+" (rtos (/ (* skalapion (- (cadr l2) (cadr p22))) 100) 2 2 )))
				)
			)
			
			(progn
				(setq	temp1 (polar l3 (* pi 0.5) h_opisu_luku_pion)
						temp2 (polar temp1 (* pi 1) (- (car l3) (car l1)))
				)
				(mh:ENT_Make_Line "DR_tabela" l3 temp1 nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" temp1 temp2 nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" temp2 l1 nil nil nil)
				(setq	PUNKT_temp (polar (polar temp2 (* pi 0) (/ (distance temp1 temp2) 2)) (* pi 0.5) 0.1))
				(setvar "CLAYER" "DR_opisy")
				(if (> 0 (- (cadr l2) (cadr p22)))
					(command "_.text" "_J" "_C" PUNKT_temp "0.18" "0" (strcat "T=" (rtos stycznalu 2 2 ) ", R=" (rtos promienlu 2 2 )", B=" (rtos (/ (* skalapion (- (cadr l2) (cadr p22))) 100) 2 2 )))
					(command "_.text" "_J" "_C" PUNKT_temp "0.18" "0" (strcat "T=" (rtos stycznalu 2 2 ) ", R=" (rtos promienlu 2 2 )", B=+" (rtos (/ (* skalapion (- (cadr l2) (cadr p22))) 100) 2 2 )))
				)
			)
		)
					
		;
		;=========================================================================
		
		
		;=========================================================================
		; wstawienie oznaczenia uku w tabelce
		(if (null *PUNKT0*) (setq *PUNKT0* (list 0 0 0)))
		(if (setq *PUNKT0* (mh:GetPointDef "\nKliknij punkt 0,0 na poziomie porwnawczym <lub Enter>: " *PUNKT0*))
			(progn
				(mh:ENT_Make_Line "DR_tabela" (list (car l1) (- (cadr *PUNKT0*) 3.6)) (list (car l1) (- (cadr *PUNKT0*) 4.4)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car l3) (- (cadr *PUNKT0*) 3.6)) (list (car l3) (- (cadr *PUNKT0*) 4.4)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car l1) (- (cadr *PUNKT0*) 6.0)) (list (car l1) (- (cadr *PUNKT0*) 6.64)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car l3) (- (cadr *PUNKT0*) 6.0)) (list (car l3) (- (cadr *PUNKT0*) 6.64)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car l1) (- (cadr *PUNKT0*) 0.4)) (list (car l1) (- (cadr *PUNKT0*) 1.20)) nil nil nil)
				(mh:ENT_Make_Line "DR_tabela" (list (car l3) (- (cadr *PUNKT0*) 0.4)) (list (car l3) (- (cadr *PUNKT0*) 1.20)) nil nil nil)
				(if (> i1 i2); jeeli uk wklsy lub wypuky
					(progn
						(setvar "CLAYER" "DR_tabela")
						(mh:MakeArc_3P (list (car l1) (- (cadr *PUNKT0*) 4.1)) (list (/ (+ (car l1) (car l3)) 2) (- (cadr *PUNKT0*) 3.7)) (list (car l3) (- (cadr *PUNKT0*) 4.1)))
						(setq	PUNKT_temp (list (/ (+ (car l1) (car l3)) 2) (- (cadr *PUNKT0*) 4.2)))
						(setvar "CLAYER" "DR_opisy")
						(command "_.text" "_J" "_MC" PUNKT_temp "0.18" "0" (strcat "R=" (rtos promienlu 2 2 )))
					);progn
					(progn
						(setvar "CLAYER" "DR_tabela")
						(mh:MakeArc_3P (list (car l1) (- (cadr *PUNKT0*) 3.9)) (list (/ (+ (car l1) (car l3)) 2) (- (cadr *PUNKT0*) 4.3)) (list (car l3) (- (cadr *PUNKT0*) 3.9)))
						(setq	PUNKT_temp (list (/ (+ (car l1) (car l3)) 2) (- (cadr *PUNKT0*) 3.8)))
						(setvar "CLAYER" "DR_opisy")
						(command "_.text" "_J" "_MC" PUNKT_temp "0.18" "0" (strcat "R=" (rtos promienlu 2 2 )))
					);progn
				);if
			
			
								;======================================================
								; wpisanie odleglosci pocztku i konca uku w tabelk
								(setq	ODLEGLOSC (+ (* (/ skalapoziom 100) (- (car l1) (car *PUNKT0*))) odl0) ;;odlego w metrach pamita e wpisujemy tylko kocwk tej wartoci
										ODLEGLOSCkoniec (rem ODLEGLOSC 100) ;kocwka  metrw do 100
										PUNKT_temp	(list (- (car l1) 0.05) (- (cadr *PUNKT0*) 6.32))
								)
								(command "_.text" "_J" "_C" PUNKT_temp "0.18" "90" (rtos ODLEGLOSCkoniec 2 2))
								(setq	ODLEGLOSC (+ (* (/ skalapoziom 100) (- (car l3) (car *PUNKT0*))) odl0) ;;odlego w metrach pamita e wpisujemy tylko kocwk tej wartoci
										ODLEGLOSCkoniec (rem ODLEGLOSC 100) ;kocwka  metrw do 100
										PUNKT_temp	(list (- (car l3) 0.05) (- (cadr *PUNKT0*) 6.32))
								)
								(command "_.text" "_J" "_C" PUNKT_temp "0.18" "90" (rtos ODLEGLOSCkoniec 2 2))
								;======================================================
								; opisanie rzednych pocztku i koca uku pionowego w tabelce
									(setvar "CECOLOR" "1")
									(setvar "CELWEIGHT" 30)
								(setq	RZEDNApunktul1 (+ POZIOM (* (- (cadr l1) (cadr *PUNKT0*)) (/ skalapion 100))))
								(setq	PUNKT_temp	(list (- (car l1) 0.05) (- (cadr *PUNKT0*) 0.8)))
								(command "_.text" "_J" "_C" PUNKT_temp "0.18" "90" (rtos RZEDNApunktul1 2 2))
								
									(setq	RZEDNApunktul3 (+ POZIOM (* (- (cadr l3) (cadr *PUNKT0*)) (/ skalapion 100))))
									(setq	PUNKT_temp	(list (- (car l3) 0.05) (- (cadr *PUNKT0*) 0.8)))
									(command "_.text" "_J" "_C" PUNKT_temp "0.18" "90" (rtos RZEDNApunktul3 2 2) )
								(setvar "CECOLOR" "256")
								(setvar "CELWEIGHT" -1)
								;======================================================
								
			

			);progn
		);if
		;=========================================================================
		
		
		
		;=========================================================================
		; oznaczanie punktw minimum lub maksimum uku pionowego
		(if (and	(= "Tak" DCL_minmax_luku_pionowego)
					(or
						(and (< 0 i1) (> 0 i2))
						(and (> 0 i1) (< 0 i2))
					)
			)
			(progn
				(if (< (abs i1) (abs i2))		; ustalenie punktu minmax na lewo lub prawo od skrajnych punktw uku - odsunicie tylko w poziomie - jest OK
					(setq PKTminmax (polar l3 (* pi 1) (/ (* 100 (* promienlu (abs i2))) skalapoziom)))
					(setq PKTminmax (polar l1 (* pi 0) (/ (* 100 (* promienlu (abs i1))) skalapoziom)))
				);if
				(if (and (< 0 i1) (> 0 i2))		; daszek wypuky; ustalenie punktu minmax w gr lub w d od skrajnych punktw uku - odsunicie tylko w pionie -
					(if (> (abs i1) (abs i2))	; i prawy spadek mniejszy
							(setq PKTminmax (polar PKTminmax (* pi 0.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car l1) (car PKTminmax))) 100) (/ (* skalapoziom (- (car l1) (car PKTminmax))) 100)) (* 2 promienlu))) skalapion)))
							(setq PKTminmax (polar PKTminmax (* pi 0.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car l3) (car PKTminmax))) 100) (/ (* skalapoziom (- (car l3) (car PKTminmax))) 100)) (* 2 promienlu))) skalapion)))
					);if
				);if
				(if (and (> 0 i1) (< 0 i2))		; daszek wklsy; ustalenie punktu minmax w gr lub w d od skrajnych punktw uku - odsunicie tylko w pionie -
					(if (> (abs i1) (abs i2))	; i prawy spadek mniejszy
							(setq PKTminmax (polar PKTminmax (* pi 1.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car l1) (car PKTminmax))) 100) (/ (* skalapoziom (- (car l1) (car PKTminmax))) 100)) (* 2 promienlu))) skalapion)))
							(setq PKTminmax (polar PKTminmax (* pi 1.5) (/ (* 100 (/ (* (/ (* skalapoziom (- (car l3) (car PKTminmax))) 100) (/ (* skalapoziom (- (car l3) (car PKTminmax))) 100)) (* 2 promienlu))) skalapion)))
					);if
				);if
				
				
				
								;======================================================
								; wpisanie odleglosci punktu minmax i jego rzdnej
								(if (or
										(and (< 0 i1) (> 0 i2))
										(and (> 0 i1) (< 0 i2))
									)
									(progn
										(setq	RZEDNApunktuMINMAX (+ POZIOM (* (- (cadr PKTminmax) (cadr *PUNKT0*)) (/ skalapion 100)))
												ODLEGLOSC (+ (* (/ skalapoziom 100) (- (car PKTminmax) (car *PUNKT0*))) odl0) ;;odlego w metrach pamita e wpisujemy tylko kocwk tej wartoci
												ODLEGLOSCkoniec (rem ODLEGLOSC 100) ;kocwka  metrw do 100
												PUNKT_temp	(list (car PKTminmax) (- (cadr PKTminmax) 0.55))
										)
											(if (and (< 0 i1) (> 0 i2))
												(command "_.text" "_J" "_MR" PUNKT_temp "0.18" "90" (strcat "L=" (rtos ODLEGLOSCkoniec 2 2) ", max=" (rtos RZEDNApunktuMINMAX 2 2)))
												(command "_.text" "_J" "_MR" PUNKT_temp "0.18" "90" (strcat "L=" (rtos ODLEGLOSCkoniec 2 2) ", min=" (rtos RZEDNApunktuMINMAX 2 2)))
											);if
										(mh:ENT_Make_Line "DR_opisy" (polar (polar PKTminmax (* pi 1.5) 0.0) (* pi 1.0) 0.0) (polar (polar PKTminmax (* pi 1.5) 0.5) (* pi 0.0) 0.0) nil nil nil)
										(mh:ENT_Make_Line "DR_opisy" (polar (polar PKTminmax (* pi 1.5) 0.5) (* pi 1.0) 0.14) (polar (polar PKTminmax (* pi 1.5) 0.5) (* pi 0.0) 0.14) nil nil nil)
										(mh:ENT_Make_Line "DR_opisy" (polar (polar PKTminmax (* pi 1.5) 0.5) (* pi 1.0) 0.14) (polar (polar PKTminmax (* pi 1.5) 0.8) (* pi 1.0) 0.14) nil nil nil)
										(mh:ENT_Make_Line "DR_opisy" (polar (polar PKTminmax (* pi 1.5) 0.5) (* pi 0.0) 0.14) (polar (polar PKTminmax (* pi 1.5) 0.8) (* pi 0.0) 0.14) nil nil nil)
									)
								)
								;======================================================
				

			);progn
		)
		;=========================================================================
		
		
		;=========================================================================
		; oznaczanie punktu rodka uku pionowego
		(if (= "Tak" DCL_opisSRODKA_luku)
			(progn
				(setq	RZEDNApunktul2 (+ POZIOM (* (- (cadr l2) (cadr *PUNKT0*)) (/ skalapion 100)))
						ODLEGLOSC (+ (* (/ skalapoziom 100) (- (car l2) (car *PUNKT0*))) odl0) ;;odlego w metrach pamita e wpisujemy tylko kocwk tej wartoci
						ODLEGLOSCkoniec (rem ODLEGLOSC 100) ;kocwka  metrw do 100
						PUNKT_temp	(list (car l2) (+ (cadr l2) 0.55))
				)
				
						(command "_.text" "_J" "_ML" PUNKT_temp "0.18" "90" (strcat "L=" (rtos ODLEGLOSCkoniec 2 2) ", H=" (rtos RZEDNApunktul2 2 2)))
						
				(mh:ENT_Make_Line "DR_opisy" (polar (polar l2 (* pi 0.5) 0.0) (* pi 1.0) 0.00) (polar (polar l2 (* pi 0.5) 0.5) (* pi 0.0) 0.00) nil nil nil)
				(mh:ENT_Make_Line "DR_opisy" (polar (polar l2 (* pi 0.5) 0.5) (* pi 1.0) 0.14) (polar (polar l2 (* pi 0.5) 0.5) (* pi 0.0) 0.14) nil nil nil)
				(mh:ENT_Make_Line "DR_opisy" (polar (polar l2 (* pi 0.5) 0.5) (* pi 1.0) 0.14) (polar (polar l2 (* pi 0.5) 0.8) (* pi 1.0) 0.14) nil nil nil)
				(mh:ENT_Make_Line "DR_opisy" (polar (polar l2 (* pi 0.5) 0.5) (* pi 0.0) 0.14) (polar (polar l2 (* pi 0.5) 0.8) (* pi 0.0) 0.14) nil nil nil)
			)
		)
		;=========================================================================
		
		
		
		
);progn
);if
		
	(mh:ustprzywr)
	
);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun dr3
;=========================================================================

;=========================================================================
(defun c:dr_war_wytyczne ( / ECHO_MEMBER )
(if (mh:qawa)
(progn

(setq ECHO_MEMBER (getvar "CMDECHO"))
(setvar "CMDECHO" 0)


;=============================================================
(mh:warstwa "DR_wytyczne_od_DR_dla_Arch" nil)
(mh:warstwa "DR_wytyczne_od_DR_dla_DR" nil)
(mh:warstwa "DR_wytyczne_od_DR_dla_Ele" nil)
(mh:warstwa "DR_wytyczne_od_DR_dla_IS" nil)
(mh:warstwa "DR_wytyczne_od_DR_dla_Kon" nil)
;=============================================================

;=============================================================
(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
(setvar "CELTYPE" "BYLAYER")
(setvar "CELWEIGHT" -1)
;=============================================================
(mh:zmianawarstw
	'("DR_wytyczne_od_DR_dla_Arch" "DR_wytyczne_od_DR_dla_DR" "DR_wytyczne_od_DR_dla_Ele" "DR_wytyczne_od_DR_dla_IS" "DR_wytyczne_od_DR_dla_Kon")
)
;=============================================================

(setvar "CMDECHO" ECHO_MEMBER)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun war_wytyczne
;=========================================================================

;=========================================================================
(defun c:drwytONOFF ( / % MyLayer)
(if (mh:qawa)
(progn

(mh:ustzap)
(if (mh:GetLayers "DR_wytyczne_od_*") ; jeeli s warstwy
	(if (= (vla-get-layeron (vla-item (mh:ACX_LayersCollection) (car (mh:GetLayers "DR_wytyczne_od_*")))) :vlax-true) ;jeeli pierwsza warstwa jest wczona
		(foreach % (mh:GetLayers "DR_wytyczne_od_*") ;wyaczenie wszystkich warstw
			(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
			(vla-put-layeron MyLayer :vlax-false)
		)
		(foreach % (mh:GetLayers "DR_wytyczne_od_*") ;waczenie wszystkich warstw
			(setq MyLayer (vla-item (mh:ACX_LayersCollection) %))
			(vla-put-layeron MyLayer :vlax-true)
		)
	)
)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rz01 (/ NazwaBloku starawarstwa PunktWstawienia)
(if (mh:qawa)
(progn

(mh:ustzap)
(setq starawarstwa (getvar "CLAYER"))

(mh:warstwa "DR_rzedne_istn" T)

;=========================================================================
		(if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\FOLDERY_ELEMENTOW\\DR\\DR_rzedna_istniejaca_v01.dwg")))
			(if (setq PunktWstawienia (getpoint "\nWska punkt wstawienia koty istniejcej: "))
					(progn
						;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
						;1
						;1
						;1
						;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
						;)
						(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
					);progn
				(princ "\nNiepoprawny punkt. ")
			);if
			(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
		);if
;=========================================================================
(setvar "CLAYER" starawarstwa)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rz02 (/ NazwaBloku starawarstwa PunktWstawienia)
(if (mh:qawa)
(progn

(mh:ustzap)
(setq starawarstwa (getvar "CLAYER"))

(mh:warstwa "DR_rzedne_proj" T)

;=========================================================================
		(if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\FOLDERY_ELEMENTOW\\DR\\DR_rzedna_projektowana_v01.dwg")))
			(if (setq PunktWstawienia (getpoint "\nWska punkt wstawienia koty projektowanej: "))
					(progn
						;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
						;1
						;1
						;1
						;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
						;)
						(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
					);progn
				(princ "\nNiepoprawny punkt. ")
			);if
			(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
		);if
;=========================================================================
(setvar "CLAYER" starawarstwa)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rz03 (/ NazwaBloku starawarstwa PunktWstawienia)
(if (mh:qawa)
(progn

(mh:ustzap)
(setq starawarstwa (getvar "CLAYER"))

(mh:warstwa "DR_rzedne_proj" T)

;=========================================================================
		(if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\FOLDERY_ELEMENTOW\\DR\\DR_rzedna_projektowana_v02.dwg")))
			(if (setq PunktWstawienia (getpoint "\nWska punkt wstawienia koty projektowanej: "))
					(progn
						;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
						;1
						;1
						;1
						;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
						;)
						(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
					);progn
				(princ "\nNiepoprawny punkt. ")
			);if
			(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
		);if
;=========================================================================
(setvar "CLAYER" starawarstwa)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:kr01 (/ NazwaBloku starawarstwa PunktWstawienia)
(if (mh:qawa)
(progn

(mh:ustzap)
(setq starawarstwa (getvar "CLAYER"))

(mh:warstwa "DR_wpusty" T)

;=========================================================================
		(if (findfile (setq NazwaBloku (strcat (mh:gdziepliki 0) "\\FOLDERY_ELEMENTOW\\DR\\DR_wpust_projektowany_v01.dwg")))
			(if (setq PunktWstawienia (getpoint "\nWska punkt wstawienia wpustu drogowego: "))
					(progn
						;(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans PunktWstawienia 1 0)) NazwaBloku
						;1
						;1
						;1
						;0.0 ; tutaj dodac odczytywanie aktualnego obrotu luwa
						;)
						(command "_insert" NazwaBloku PunktWstawienia "_XYZ" "1.0" "1.0" "1.0" "0.0")
					);progn
				(princ "\nNiepoprawny punkt. ")
			);if
			(princ (strcat "\nNie znaleziono pliku \"" NazwaBloku "\" !"))
		);if
;=========================================================================
(setvar "CLAYER" starawarstwa)
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:sp01 ( / ent1 ent2 ent1XY ent2XY ent1Z ent2Z LL dZ spadek pktA pktB PUNKT_srodek odlodlini punkttekstu obrot AA AA1 AA2 BB)
(if (mh:qawa)
(progn

(mh:ustzap)

;===========================================================
(setvar "dimzin" 0) ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
(setvar "osnapcoord" 1) ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
;=============================================================

(mh:ACX_MAKE_TextStyle_TTF "DR_Arial" "Arial" nil 0.8 nil T)
(mh:warstwa "DR_spadki" T)

(setq	ent1 (vlax-Ename->Vla-Object (car (entsel "\nKliknij pierwsz rzdn: ")))
		ent2 (vlax-Ename->Vla-Object (car (entsel "\nKliknij drug rzdn: "))))

		
		;(setq	ent1XY (safearray-value (vla-get-InsertionPoint ent1)) ;(safearray-value - zmienia variant na liste :-) nieudokumentowana funkcja i nie ma jej w zwcadzie jest w gstarcadzie 2017
		;		ent2XY (safearray-value (vla-get-InsertionPoint ent2))
		;)
		(setq	ent1XY (mh:CON_Array2list (vla-get-InsertionPoint ent1))
				ent2XY (mh:CON_Array2list (vla-get-InsertionPoint ent2))
		)

		
		
		
		(setq	ent1Z	(atof (mh:MsgUsunPrzedrostek (mh:MsgCommaToDot (vl-some	'(lambda ( att ) (if (= "RZEDNA" (strcase (vla-get-tagstring att))) (vla-get-textstring att)))
												(vlax-invoke ent1 'getattributes)
						))))
				ent2Z	(atof (mh:MsgUsunPrzedrostek (mh:MsgCommaToDot (vl-some	'(lambda ( att ) (if (= "RZEDNA" (strcase (vla-get-tagstring att))) (vla-get-textstring att)))
												(vlax-invoke ent2 'getattributes)
						))))
		);setq
		
		(setq 	LL (distance ent1XY ent2XY)
				dZ (* (abs (- ent1Z ent2Z)) 100)
				spadek (/ dZ LL)
		)
		
		(if (< ent1Z ent2Z)
			(setq	pktA (trans ent1XY 0 1)
					pktB (trans ent2XY 0 1)
			)
			(setq	pktB (trans ent1XY 0 1)
					pktA (trans ent2XY 0 1)
			)
		)
		
;=========================================================================
		(setq	PUNKT_srodek (polar pktA (angle pktA pktB) (/ (distance pktB pktA) 2))
				odlodlini 0.15
				punkttekstu (if (and (> (angle PUNKT_srodek pktA) (* 0.5 pi)) (<= (angle PUNKT_srodek pktA) (* 1.5 pi)))
								(polar PUNKT_srodek (- (angle PUNKT_srodek pktA) (* 0.5 pi)) odlodlini)
								(polar PUNKT_srodek (+ (angle PUNKT_srodek pktA) (* 0.5 pi)) odlodlini)
							)
				obrot	(if (and (> (mh:CON_rad2deg (angle pktA pktB) T) 90) (<= (mh:CON_rad2deg (angle pktA pktB) T) 270))
							(- (mh:CON_rad2deg (angle pktA pktB) T) 180)
							(mh:CON_rad2deg (angle pktA pktB) T)
						)
		)
		(command "_.text" "_J" "_C" punkttekstu "0.65" obrot (strcat (rtos spadek 2 1) "%"))
;=========================================================================

;=========================================================================
		(setq	AA	(polar PUNKT_srodek (angle PUNKT_srodek pktA) 2.5)
				AA1	(polar (polar PUNKT_srodek (angle PUNKT_srodek pktA) 1.3) (- (angle PUNKT_srodek pktA) (* 0.5 pi)) 0.4)
				AA2	(polar (polar PUNKT_srodek (angle PUNKT_srodek pktA) 1.3) (+ (angle PUNKT_srodek pktA) (* 0.5 pi)) 0.4)
				BB	(polar PUNKT_srodek (angle PUNKT_srodek pktB) 1.3)
		)
		(mh:ENT_Make_LWPolyline "DR_spadki" nil (list BB PUNKT_srodek AA AA1 AA2 AA) 0)
;=========================================================================
		
(mh:ustprzywr)

);progn (mh:qawa)
(alert "Wersja testowa niezarejestrowana.")
);if
(princ)
);defun
;=========================================================================



;=========================================================================
; inne funkcje 
;=========================================================================
;=========================================================================
(defun LM:vl-getattributevalue ( blk tag )
;; Get Attribute Value  -  Lee Mac
;; Returns the value held by the specified tag within the supplied block, if present.
;; blk - [vla] VLA Block Reference Object
;; tag - [str] Attribute TagString
;; Returns: [str] Attribute value, else nil if tag is not found.
    (setq tag (strcase tag))
    (vl-some '(lambda ( att ) (if (= tag (strcase (vla-get-tagstring att))) (vla-get-textstring att)))
        (vlax-invoke blk 'getattributes)
    )
)
;=========================================================================

;=========================================================================
(defun LM:vl-setattributevalue ( blk tag val )
;; Set Attribute Value  -  Lee Mac
;; Sets the value of the first attribute with the given tag found within the block, if present.
;; blk - [vla] VLA Block Reference Object
;; tag - [str] Attribute TagString
;; val - [str] Attribute Value
;; Returns: [str] Attribute value if successful, else nil.
    (setq tag (strcase tag))
    (vl-some
       '(lambda ( att )
            (if (= tag (strcase (vla-get-tagstring att)))
                (progn (vla-put-textstring att val) val)
            )
        )
        (vlax-invoke blk 'getattributes)
    )
)
;=========================================================================
   
	   
	   